import json
from enum import Enum

from queries import insert_case, insert_ts, insert_ts_value
import pandas as pd


# Model and util functions

class Tipo(Enum):
    WDL = 1
    RG = 2
    FORECAST = 3


class French_Caso:
    def __init__(self, location, rgsids, rgs, wdlsids_cambo, wdls_cambo, wdlsids_osses, wdls_osses,
                 wdls_cambo_converted, wdls_osses_converted, rfsids, rfs, map_name):
        self.location = location
        # Time series
        self.rgsids = rgsids
        self.wdlsids_cambo = wdlsids_cambo
        self.wdlsids_osses = wdlsids_osses
        self.wdlsids_cambo_converted = wdls_cambo_converted
        self.wdlsids_osses_converted = wdls_osses_converted
        self.rfsids = rfsids

        # Sensor ids
        self.rgs = rgs
        self.wdls_cambo = wdls_cambo
        self.wdls_osses = wdls_osses
        self.rfs = rfs
        # Map
        self.map_name = map_name


class TS:
    # It has a type of sensor, a risk and an evolution.
    # It will build a timeseries with these parameters.
    def __init__(self, tipo, ts):
        self.tipo = tipo
        self.intervalos = self.get_intervalos()
        self.ts = ts

    def get_intervalos(self):
        if self.tipo == Tipo.RG:
            return 3
        if self.tipo == Tipo.WDL:
            return 6
        if self.tipo == Tipo.FORECAST:
            return 3


def get_excel_sheet(index):
    for i in range(len(sheets_names)):
        if start_gid[i] <= index <= max_size[i]:
            return i


def get_wdl_value(x, basin):
    if basin == "osses":
        return max(x, 23.382 * x ** 2 - 2.987 * x + 2.8057)
    elif basin == "cambo":
        return max(x, 244.82 * x - 418.73)
    else:
        return 0  # ?


def get_map(index):
    return "simul_class_{:04n}.tif".format(index)


def get_valores():
    data = pd.read_csv('instances.txt', header=None)
    return data.sort_values(by=[0])


if __name__ == '__main__':

    # Excel stuff
    excel_name = "01_global.xlsx"
    cols_names = ["GID", "RG_INIT", "WLO_INIT", "WLC_INIT"]
    sheets_names = ["11-12", "21-22", "31-32", "41-42-43", "51-52-53", "61", "71", "81-82", "91-92", "101",
                    "111-112"]
    start_gid = [6, 716, 1347, 1981, 3467, 4493, 5498, 6145, 6752, 7601, 8228]
    max_size = [707, 1338, 1972, 3458, 4484, 5489, 6136, 6743, 7592, 8219, 9224]
    excel_lists = {}

    # Listado de ids de interés. Se debe obtener mediante lectura de fichero
    valores = get_valores()

    # wdl_osses_sensors = ["2"]
    wdl_osses_sensors = ["VEGA C23"]
    # wdl_cambo_sensors = ["1"]
    wdl_cambo_sensors = ["ParatronicLPN8/1"]
    # rg_sensors = ["3"]
    rg_sensors = ["pending"]
    # forecast_sensors = ["4"]
    forecast_sensors = ["FR_FORECAST"]

    for i in range(len(sheets_names)):
        excel_df = pd.read_excel(excel_name, sheet_name=sheets_names[i], usecols=cols_names)
        excel_lists[i] = excel_df

    case_map_dict = {}
    dict_case_idx = {}

    for i in valores[0]:
        excel_sheet = get_excel_sheet(i)

        lista = [
            excel_lists[excel_sheet].loc[excel_lists[excel_sheet][cols_names[0]] == i - 2][
                cols_names[1]].values[0],
            excel_lists[excel_sheet].loc[excel_lists[excel_sheet][cols_names[0]] == i - 1][
                cols_names[1]].values[0],
            excel_lists[excel_sheet].loc[excel_lists[excel_sheet][cols_names[0]] == i][
                cols_names[1]].values[0],
            excel_lists[excel_sheet].loc[excel_lists[excel_sheet][cols_names[0]] == i + 1][
                cols_names[1]].values[0],
            excel_lists[excel_sheet].loc[excel_lists[excel_sheet][cols_names[0]] == i + 2][
                cols_names[1]].values[0],
            excel_lists[excel_sheet].loc[excel_lists[excel_sheet][cols_names[0]] == i + 3][
                cols_names[1]].values[0],
            excel_lists[excel_sheet].loc[excel_lists[excel_sheet][cols_names[0]] == i][
                cols_names[2]].values[0],
            excel_lists[excel_sheet].loc[excel_lists[excel_sheet][cols_names[0]] == i - 1][
                cols_names[2]].values[0],
            excel_lists[excel_sheet].loc[excel_lists[excel_sheet][cols_names[0]] == i - 2][
                cols_names[2]].values[0],
            excel_lists[excel_sheet].loc[excel_lists[excel_sheet][cols_names[0]] == i - 3][
                cols_names[2]].values[0],
            excel_lists[excel_sheet].loc[excel_lists[excel_sheet][cols_names[0]] == i - 4][
                cols_names[2]].values[0],
            excel_lists[excel_sheet].loc[excel_lists[excel_sheet][cols_names[0]] == i - 5][
                cols_names[2]].values[0],
            excel_lists[excel_sheet].loc[excel_lists[excel_sheet][cols_names[0]] == i][
                cols_names[3]].values[0],
            excel_lists[excel_sheet].loc[excel_lists[excel_sheet][cols_names[0]] == i - 1][
                cols_names[3]].values[0],
            excel_lists[excel_sheet].loc[excel_lists[excel_sheet][cols_names[0]] == i - 2][
                cols_names[3]].values[0],
            excel_lists[excel_sheet].loc[excel_lists[excel_sheet][cols_names[0]] == i - 3][
                cols_names[3]].values[0],
            excel_lists[excel_sheet].loc[excel_lists[excel_sheet][cols_names[0]] == i - 4][
                cols_names[3]].values[0],
            excel_lists[excel_sheet].loc[excel_lists[excel_sheet][cols_names[0]] == i - 5][
                cols_names[3]].values[0]]

        rgs = [lista[0], lista[1], lista[2]]
        forecast = [lista[3], lista[4], lista[5]]
        osses_wdls = [lista[6], lista[7], lista[8], lista[9], lista[10], lista[11]]
        osses_wdls_converted = [get_wdl_value(lista[6], "osses"), get_wdl_value(lista[7], "osses"),
                                get_wdl_value(lista[8], "osses"), get_wdl_value(lista[9], "osses"),
                                get_wdl_value(lista[10], "osses"), get_wdl_value(lista[11], "osses")]
        cambo_wdls = [lista[12], lista[13], lista[14], lista[15], lista[16], lista[17]]

        cambo_wdls_converted = [get_wdl_value(lista[12], "cambo"), get_wdl_value(lista[13], "cambo"),
                                get_wdl_value(lista[14], "cambo"), get_wdl_value(lista[15], "cambo"),
                                get_wdl_value(lista[16], "cambo"), get_wdl_value(lista[17], "cambo")]

        rgs_ts = [TS(tipo=Tipo.RG, ts=rgs)]

        rfs_ts = [TS(tipo=Tipo.FORECAST, ts=forecast)]

        wdls_cambo_ts = [TS(tipo=Tipo.WDL, ts=cambo_wdls)]
        wdls_cambo_converted_ts = [TS(tipo=Tipo.WDL, ts=cambo_wdls_converted)]

        wdls_osses_ts = [TS(tipo=Tipo.WDL, ts=osses_wdls)]
        wdls_osses_converted_ts = [TS(tipo=Tipo.WDL, ts=osses_wdls_converted)]

        case = French_Caso(1, rgs_ts, rg_sensors[0],
                           wdls_cambo_ts, wdl_cambo_sensors[0],
                           wdls_osses_ts, wdl_osses_sensors[0],
                           wdls_cambo_converted_ts,
                           wdls_osses_converted_ts,
                           rfs_ts,
                           forecast_sensors[0], get_map(i))

        case_id = insert_case("Cambo les Bains")
        tss = []
        # Add tss
        for sensor_id in rg_sensors:
            tss.append(insert_ts(sensor_id, case_id))
        for sensor_id in wdl_cambo_sensors:
            tss.append(insert_ts(sensor_id, case_id))
        for sensor_id in wdl_osses_sensors:
            tss.append(insert_ts(sensor_id, case_id))
        for sensor_id in forecast_sensors:
            tss.append(insert_ts(sensor_id, case_id))

        j = tss[0]
        for ts in case.rgsids:
            for h in range(0, ts.intervalos):
                insert_ts_value(j, ts.ts[h], 0, 0)
            j += 1

        for ts in case.wdlsids_cambo:
            for h in range(0, ts.intervalos):
                insert_ts_value(j, ts.ts[h], wdls_cambo_converted_ts[0].ts[h], 0)
            j += 1

        for ts in case.wdlsids_osses:
            for h in range(0, ts.intervalos):
                insert_ts_value(j, ts.ts[h], wdls_osses_converted_ts[0].ts[h], 0)
            j += 1

        for ts in case.rfsids:
            for h in range(0, ts.intervalos):
                insert_ts_value(j, ts.ts[h], 0, 0)
            j += 1

        map_psql_folder = "maps/french/"
        dict_case_idx[j] = case_id
        case_map_dict[j] = []
        # Obtengo los 6 mapas siguientes. 0 + 6 [0, 1, 2, 3, 4, 5]
        for h in range(0, 6):
            filename = get_map(i + h)
            case_map_dict[j].append(filename)

    with open("dict_case_idx_fr.json", "w") as outfile:
        json.dump(dict_case_idx, outfile)

    with open("dict_case_map_fr.json", "w") as outfile:
        json.dump(case_map_dict, outfile)
