import pandas as pd

from queries import insert_simulation

if __name__ == '__main__':
    # Excel stuff
    excel_name = "01_global.xlsx"
    cols_names = ["GID", "RG_INIT", "WLO_INIT", "WLC_INIT", "TIME"]
    sheets_names = ["11-12", "21-22", "31-32", "41-42-43", "51-52-53", "61", "71", "81-82", "91-92", "101",
                    "111-112"]
    start_gid = [1, 711, 1342, 1976, 3462, 4488, 5493, 6140, 6747, 7596, 8223]
    max_size = [710, 1341, 1975, 3461, 4487, 5492, 6139, 6746, 7595, 8222, 9227]
    excel_lists = {}

    # map_psql_folder = "C:/Program Files/PostgreSQL/12/bin/maps/french/"
    map_psql_folder = "maps/images_nive/"
    map_start_name = "simul_class_"

    for i in range(len(start_gid)):
        excel_df = pd.read_excel(excel_name, sheet_name=sheets_names[i], usecols=cols_names)
        simulation_graph_name = map_psql_folder + sheets_names[i] + ".png"
        for idx in range(start_gid[i], max_size[i]):
            map_name = map_psql_folder + map_start_name + "{:04n}.tfw".format(idx)
            row = excel_df.loc[excel_df[cols_names[0]] == idx]
            gid = row["GID"].values[0]
            timestamp_value = row["TIME"].values[0]
            rg_value = row["RG_INIT"].values[0]
            wdl_cambo_value = row["WLC_INIT"].values[0]
            wdl_cambo_converted_value = max(wdl_cambo_value, 244.82 * wdl_cambo_value - 418.73)
            wdl_osses_value = row["WLO_INIT"].values[0]
            wdl_osses_converted_value = max(wdl_osses_value, 23.382 * wdl_osses_value ** 2 - 2.987 * wdl_osses_value + 2.8057)
            insert_simulation(gid, timestamp_value, rg_value, wdl_cambo_value, wdl_cambo_converted_value,
                              wdl_osses_value, wdl_osses_converted_value, simulation_graph_name, map_name)
