import numpy as np

from application.cbr.distance_strat.compute_distance_strategy import ComputeDistanceStrategy


class SobolIndexesStrategy(ComputeDistanceStrategy):


    def get_distance_numpy_array(self, vector, current_vector, vector_max, weights):
        return weights * np.abs(vector - current_vector) / (weights * vector)

    def get_distance(self, vector, current_vector, vector_max, weights):
        total = 0
        for i in range(1, len(vector)):
            total += (weights[i] * abs((vector[i] - current_vector[i]) / (weights[i] * vector[i])))
        return total
