from application.cbr.distance_strat.compute_distance_strategy import ComputeDistanceStrategy


class WeightedSumStrategy(ComputeDistanceStrategy):

    def get_distance_numpy_array(self, vector, current_vector, vector_max, weights):
        p = 2
        return (weights * ((vector - current_vector) / vector_max) ** p) / weights

    def get_distance(self, vector, current_vector, vector_max, weights):
        total = 0
        p = 2
        for i in range(1, len(vector)):
            total += (weights[i] * ((vector[i] - current_vector[i]) / vector_max) ** p) / weights[i]
        return total
