from application.cbr.selection_criteria_strat.selection_criteria_strategy import SelectionCriteriaStrategy
from application.cbr.selection_mode_strat.number_of_neighbour_strategy import NumberOfNeighbourStrategy


class MinimazingSingleCriteriaStrategy(SelectionCriteriaStrategy):

    def __init__(self, selection_mode):
        self.selection_mode = selection_mode

    def apply_criteria(self, cases):
        cases.sort(key=self.sort_case_by_distance_value)
        if cases[0].distance_value < 0.04:
            return cases[0]
        else:
            return NumberOfNeighbourStrategy(10)


    # Sort cases
    def sort_case_by_distance_value(self, c):
        return c.distance_value
