import json
import statistics
import numpy as np

# Load the JSON file
with open('ssim_total.json') as f:
    data = json.load(f)
with open('mse_total.json') as f:
    mse_data = json.load(f)


##### Mean all #####
# Compute the mean for every value
values_list = []
mse_values_list = []

for key, values in data.items():
    values_list.append(list(values.values()))

results = {}
mean = np.nanmean(values_list)
stdev = np.nanstd(values_list)
median = np.nanmedian(values_list)
quantiles = np.nanpercentile(values_list, [25, 50, 75])
results['mean'] = mean
results['stdev'] = stdev
results['median'] = median
results['quantiles'] = quantiles

mse_results = {}

for key, values in mse_data.items():
    mse_values_list.append(list(values.values()))

mse_results = {}
mean = np.nanmean(mse_values_list)
stdev = np.nanstd(mse_values_list)
median = np.nanmedian(mse_values_list)
quantiles = np.nanpercentile(mse_values_list, [25, 50, 75])
mse_results['mean'] = mean
mse_results['stdev'] = stdev
mse_results['median'] = median
mse_results['quantiles'] = quantiles


print(results)
print(mse_results)


##### Mean for every time horizon #####
# Define the order of keys for which means should be calculated
keys_order = ["1", "2", "3", "4", "5"]

# Compute the mean for each key in the order defined
results = {}
mse_results = {}
means = {}
mse_means = {}
for key in keys_order:
    values = [data[k][key] for k in data]
    results[key] = {}
    results[key]['mean'] = np.nanmean(values)
    results[key]['std'] = np.nanstd(values)
    results[key]['median'] = np.nanmedian(values)
    results[key]['quantiles'] = np.nanpercentile(values, [25, 50, 75])

for key in keys_order:
    values = [mse_data[k][key] for k in mse_data]
    mse_results[key] = {}
    mse_results[key]['mean'] = np.nanmean(values)
    mse_results[key]['std'] = np.nanstd(values)
    mse_results[key]['median'] = np.nanmedian(values)
    mse_results[key]['quantiles'] = np.nanpercentile(values, [25, 50, 75])

# Print the means
print("The mean is: ", results)
print("The mse mean is: ", mse_results)

