from enum import Enum


class AggregationTypeEnum(Enum):
    AVG = 1
    MAX = 2
    NONE = 3


class SensorTypeNameEnum(Enum):
    WATER_DISCHARGE_LEVEL = 1
    RAINFALL_GAUGE = 2
    RAINFALL_FORECAST = 3


class LocationEnum(Enum):
    CAMBO_LES_BAINS = "Cambo les Bains"
    NIVE = "Nive"
    VENERO_CLARO = "Venero Claro"

class WeatherEnum(Enum):
    AUTOMATIC = "Automatic"
    MANUAL = "Manual"
    LINEAL = "lineal"
    GAUSSIAN = "gaussian"
    QUADRATIC = "quadratic"

def get_location_enum_value(location_name):
    if location_name == "Venero Claro":
        return LocationEnum.VENERO_CLARO.value
    elif location_name == "Cambo les Bains":
        return LocationEnum.CAMBO_LES_BAINS.value
    else:
        return LocationEnum.NIVE.value
