const i18next = require('i18next');


i18next.init({
    // Server side translations
    resources : {
        "en" : {
            translation : {
                "TABLE_HEADER_LOAD_LINE": "Load line parameters",
                "TABLE_HEADER_SENSOR_TYPE": "Sensor type configuration en",

                "API_GET_LOAD_LINE_ERROR": "error getting load line data",
                "API_PUT_LOAD_LINE_ERROR": "error getting load line data",
                "API_PUT_LOAD_LINE_SUCCESS": "Values have been updated!",

                "API_POST_LOGIN_ERROR": "Username or password incorrect!",

                "API_GET_PRORATED_VARIABLE_ERROR": "error getting prorated variable",
                "API_PUT_PRORATED_VARIABLE_SUCCESS": "Prorated sensor type updated!",
                "API_PUT_PRORATED_VARIABLE_ERROR": "Error while updating prorated sensor type!",

                "API_GET_SENSOR_ERROR": "Error getting sensor data",
                "API_POST_SENSOR_SUCCESS": "A new sensor has been added!",
                "API_POST_SENSOR_ERROR": "Error while adding a new sensor!",
                "API_PUT_SENSOR_SUCCESS": "A sensor has been updated!",
                "API_PUT_SENSOR_ERROR": "Error while updating a sensor!",
                "API_DELETE_SENSOR_SUCCESS": "A sensor has been deleted!",
                "API_DELETE_SENSOR_ERROR": "Error while deleting a sensor!",

                "API_POST_SENSOR_TYPE_SUCCESS": "A new sensor type has been added!",
                "API_POST_SENSOR_TYPE_ERROR": "Error while adding a new sensor type!",
                "API_GET_SENSOR_TYPE_ERROR": "Error getting sensor type data",
                "API_PUT_SENSOR_TYPE_SUCCESS": "A sensor type has been updated!",
                "API_PUT_SENSOR_TYPE_ERROR": "Error while updating a sensor type!",
                "API_DELETE_SENSOR_TYPE_SUCCESS": "A sensor type has been deleted!",
                "API_DELETE_SENSOR_TYPE_ERROR": "Error while deleting a sensor type!",

                "API_GET_SHIFT_ERROR": "error getting shift data!",
                "API_PUT_SHIFT_SUCCESS": "Shift data has been updated!",
                "API_PUT_SHIFT_ERROR": "Error while updating shift data!",

                "API_GET_SIGMOID_ERROR": "Error getting sigmoid data!",
                "API_PUT_SIGMOID_SUCCESS": "Sigmoid function data has been updated!",
                "API_PUT_SIGMOID_ERROR": "Error while updating sigmoid function data!",

                "API_GET_TIME_HORIZON_ERROR": "Error getting time horizon data!",
                "API_PUT_TIME_HORIZON_SUCCESS": "Time horizon data has been updated!",
                "API_PUT_TIME_HORIZON_ERROR": "Error while updating time horizon data!",

                "API_GET_WEIGHTS_SUCCESS": "Getting weights!",
                "API_GET_WEIGHTS_ERROR": "Error getting sensor weight data!",
                "API_PUT_WEIGHTS_SUCCESS": "Weights have been updated!",
                "API_PUT_WEIGHTS_ERROR": "Error while updating weights!",

                "CONF_BASE_HEADER": "Select basin to configure",
                "CONF_BASE_LABEL_BASIN": "Basin",
                "CONF_BASE_LABEL_BASIN_TOOLTIP": "Display available options for basin selection",
                "CONF_BASE_LABEL_BASIN_PLACEHOLDER": "Select basin",
                "CONF_BASE_SELECT_BASIN_OPTION_NIVE": "Nive",
                "CONF_BASE_SELECT_BASIN_OPTION_VENERO_CLARO": "Venero Claro",
                "CONF_BASE_LABEL_LOCATION": "Location",
                "CONF_BASE_LABEL_LOCATION_PLACEHOLDER": "Choose a location from the selected basin",
                "CONF_BASE_LABEL_LOCATION_TOOLTIP": "Display available options for location selection",
                "CONF_BASE_OPTION_LOCATION_CAMBO_LES_BAINS": "Cambo les Bains",
                "CONF_BASE_OPTION_LOCATION_OSSES": "Osses",
                "CONF_BASE_OPTION_LOCATION_VENERO_CLARO": "Venero Claro",

                "CONF_BASE_TAB_SENSOR_TYPE": "SENSOR TYPE",
                "CONF_BASE_TAB_SENSOR": "SENSOR",
                "CONF_BASE_TAB_TIME_HORIZON": "TIME HORIZON",
                "CONF_BASE_TAB_SENSOR_WEIGHTS": "SENSOR WEIGHTS",
                "CONF_BASE_TAB_PRORATED_VARIABLE": "PRORATED VARIABLE",
                "CONF_BASE_TAB_SIGMOID": "SIGMOID",
                "CONF_BASE_TAB_SHIFT": "SHIFT",
                "CONF_BASE_TAB_LOAD_LINE": "LOAD LINE",
                "CONF_BASE_SENSOR_TYPE_TAB_HEADER": "Sensor type configuration",
                "CONF_BASE_SENSOR_TYPE_TAB_LABEL_SEARCH": "Search",
                "CONF_BASE_SENSOR_TYPE_TAB_INPUT_SEARCH": "Search",
                "CONF_BASE_SENSOR_TYPE_TAB_COLUMN_1_HEADER": "Sensor type",
                "CONF_BASE_SENSOR_TYPE_TAB_COLUMN_2_HEADER": "Number of intervals",
                "CONF_BASE_SENSOR_TYPE_TAB_COLUMN_3_HEADER": "Aggregation mode",
                "CONF_BASE_COLUMN_OPTIONS": "Option mode",
                "CONF_BASE_SENSOR_TYPE_NEW_SENSOR_TYPE": "Add new sensor type",
                "CONF_BASE_SENSOR_TYPE_TAB_HEADER": "Sensor type configuration",

                "VALIDATION_LOAD_LINE_TIME_HORIZON_INVALID": "Invalid load line time horizon value",
                "VALIDATION_LOAD_LINE_SENSOR_ID_INVALID": "Invalid sensorId",

                "VALIDATION_SENSOR_SENSOR_TYPE_INVALID": "Invalid sensor type",
                "VALIDATION_SENSOR_SENSOR_URL_INVALID": "Invalid sensor url",
                "VALIDATION_SENSOR_SENSOR_USERNAME_INVALID": "Invalid sensor username",
                "VALIDATION_SENSOR_SENSOR_PASSWORD_INVALID": "Invalid sensor password",
                "VALIDATION_SENSOR_SAMPLING_FREQUENCY_INVALID": "Invalid sensor sampling freq value",

                "VALIDATION_SENSOR_TYPE_SENSOR_TYPE_INVALID": "Invalid sensor type",
                "VALIDATION_SENSOR_TYPE_SENSOR_INTERVAL_INVALID": "Invalid sensor interval",
                "VALIDATION_SENSOR_TYPE_AGGREGATION_MODE_INVALID": "Invalid sensor aggregation mode",

                "VALIDATION_TIME_HORIZON_TIME_HORIZON_ID_INVALID": "Invalid time horizon id",
                "VALIDATION_TIME_HORIZON_NEIGHBOUR_INVALID": "Invalid time horizon neighbour value",
                "VALIDATION_TIME_HORIZON_DISTANCE_THRESHOLD_INVALID": "Invalid time horizon distance threshold value",
                "VALIDATION_TIME_HORIZON_DISTANCE_FUNCTION_INVALID": "Invalid time horizon distance function value",
                "VALIDATION_TIME_HORIZON_SELECTION_MODE_INVALID": "Invalid time horizon selection mode value",
                "VALIDATION_TIME_HORIZON_SELECTION_CRITERIA_INVALID": "Invalid time horizon selection criteria value",

                "VALIDATION_WEIGHTS_INVALID": "Invalid weight value",

                "VALIDATION_SIGMOID_A_PARAMETER_INVALID": "Invalid sigmoid A parameter value",
                "VALIDATION_SIGMOID_B_PARAMETER_INVALID": "Invalid sigmoid B parameter value",
                "VALIDATION_SIGMOID_C_PARAMETER_INVALID": "Invalid sigmoid C parameter value",
                "VALIDATION_SIGMOID_DELTA_PARAMETER_INVALID": "Invalid sigmoid delta parameter value",

                "VALIDATION_SHIFT_LH_PARAMETER_INVALID": "Invalid shift LH parameter value",
                "VALIDATION_SHIFT_MH_PARAMETER_INVALID": "Invalid shift MH parameter value",
                "VALIDATION_SHIFT_MHS_PARAMETER_INVALID": "Invalid shift MHS parameter value",

                "VALIDATION_PRORATED_VARIABLE_INVALID": "Invalid prorated variable value",

                "WIDGET_FORM_HEADER": "Complete this form to obtain a map with the indicated characteristics",
                "WIDGET_FORM_LABEL_AREA": "Area: ",
                "WIDGET_FORM_INPUT_AREA_PLACEHOLDER": "Select area",
                "WIDGET_FORM_AREA_OPTION_CAMBO": "Cambo les Bains",
                "WIDGET_FORM_AREA_OPTION_OSSES": "Osses",
                "WIDGET_FORM_AREA_OPTION_VENERO": "Venero Claro",
                "WIDGET_FORM_AREA_OPTION_RIBERA": "Ribera-da-Vinhas",
                "WIDGET_FORM_LABEL_DATE": "Date:",
                "WIDGET_FORM_LABEL_RAINFALL_FORECAST": "Rainfall forecast type:",
                "WIDGET_FORM_RAINFALL_FORECAST_PLACEHOLDER": "Choose rainfall forecast type",
                "": "",
                "WIDGET_FORM_RAINFALL_FORECAST_OPTION_AUTOMATIC": "Automatic",
                "WIDGET_FORM_RAINFALL_FORECAST_OPTION_MANUAL": "Manual",
                "WIDGET_FORM_RAINFALL_FORECAST_MANUAL_INPUT_LINEAR": "Linear",
                "WIDGET_FORM_RAINFALL_FORECAST_MANUAL_INPUT_LABEL_LINEAR": "Linear curve",
                "WIDGET_FORM_RAINFALL_FORECAST_MANUAL_INPUT_QUADRATIC": "Quadratic",
                "WIDGET_FORM_RAINFALL_FORECAST_MANUAL_INPUT_LABEL_QUADRATIC": "Quadratic curve",
                "WIDGET_FORM_RAINFALL_FORECAST_MANUAL_INPUT_GAUSSIAN": "Gaussian",
                "WIDGET_FORM_RAINFALL_FORECAST_MANUAL_INPUT_LABEL_GAUSSIAN": "Gaussian curve",
                "WIDGET_FORM_RAINFALL_FORECAST_MANUAL_VARIABLE_VALUE_A_LABEL": "Set 'a' variable value:",
                "WIDGET_FORM_RAINFALL_FORECAST_MANUAL_VARIABLE_VALUE_B_LABEL": "Set 'b' variable value:",
                "WIDGET_FORM_RAINFALL_FORECAST_MANUAL_VARIABLE_VALUE_C_LABEL": "Set 'c' variable value:",
                "WIDGET_FORM_BUTTON_SUBMIT": "Send",
                "WIDGET_FORM_BUTTON_SIMULATION_GRAPH_HIDE": "Hide simulation graph",
                "WIDGET_FORM_BUTTON_SIMULATION_GRAPH_SHOW": "Show simulation graph",
                "WIDGET_FORM_IMAGE_ALT_SIMULATION_GRAPH": "Water discharge level evolution for simulation",
                "WIDGET_FORM_FIGCAPTION_SIMULATION_GRAPH": "Water discharge level for simulation",
                "WIDGET_FORM_SIMULATION_LABEL": "Simulation:",
                "WIDGET_FORM_SIMULATION_INPUT": "Select simulation file:",
                "WIDGET_FORM_HEADER_MAP": "Generated map:",
                "WIDGET_FORM_SIMULATION_LABEL": "Simulation:",
                "WIDGET_FORM_SIMULATION_LABEL": "Simulation:",

                "WIDGET_TABLES_TAB_SENSOR_TYPE": "SENSOR TYPE",
                "WIDGET_TABLES_TAB_TOOLTIP_SENSOR_TYPE": "Open sensor type data tab i18n",
                "WIDGET_TABLES_TAB_SENSOR": "SENSOR",
                "WIDGET_TABLES_TAB_TOOLTIP_SENSOR": "Open sensor data tab",
                "WIDGET_TABLES_TAB_TIME_HORIZON": "TIME HORIZON",
                "WIDGET_TABLES_TAB_TOOLTIP_TIME_HORIZON": "Open time horizon data tab",
                "WIDGET_TABLES_TAB_WEIGHTS": "SENSOR WEIGHTS",
                "WIDGET_TABLES_TAB_TOOLTIP_WEIGHTS": "Open weights data tab",
                "WIDGET_TABLES_TAB_PRORATED_VARIABLE": "SENSOR",
                "WIDGET_TABLES_TAB_TOOLTIP_PRORATED_VARIABLE": "Open prorated variable data tab",
                "WIDGET_TABLES_TAB_SIGMOID": "SIGMOID",
                "WIDGET_TABLES_TAB_TOOLTIP_SIGMOID": "Open sigmoid data tab",
                "WIDGET_TABLES_TAB_SHIFT": "SHIFT",
                "WIDGET_TABLES_TAB_TOOLTIP_SHIFT": "Open shift data tab",
                "WIDGET_TABLES_TAB_LOAD_LINE": "LOAD LINE",
                "WIDGET_TABLES_TAB_TOOLTIP_LOAD_LINE": "Open load line data tab",

                "WIDGET_TABLES_MODAL_DELETE_SENSOR": "Confirm delete sensor source",
                "WIDGET_TABLES_MODAL_BUTTON_DELETE_DISMISS_SENSOR": "Close",
                "WIDGET_TABLES_MODAL_BUTTON_DELETE_CONFIRM_SENSOR": "Delete",
                "WIDGET_TABLES_MODAL_BODY_SENSOR": "Do you really want to delete this sensor source",

                "WIDGET_TABLES_WEIGHTS_TAB_HEADER": "Select time horizon to configure weight interval values",

                "WIDGET_TABLES_PRORATED_VARIABLE_TAB_HEADER": "Prorated variable",
                "WIDGET_TABLES_PRORATED_VARIABLE_TAB_LABEL": "Variable:",
                "WIDGET_TABLES_PRORATED_VARIABLE_TAB_INPUT_PLACEHOLDER": "Select dimension",

                "WIDGET_TABLES_SIGMOID_TAB_HEADER": "Select time horizon to configure sigmoid function",

                "WIDGET_TABLES_MODAL_DELETE_SENSOR_TYPE": "Confirm delete sensor type data",
                "WIDGET_TABLES_MODAL_BUTTON_DELETE_DISMISS_SENSOR_TYPE": "Close",
                "WIDGET_TABLES_MODAL_BUTTON_DELETE_CONFIRM_SENSOR_TYPE": "Delete",
                "WIDGET_TABLES_MODAL_BODY_SENSOR_TYPE": "Do you really want to delete this sensor type data?",

                "WIDGET_TABLES_LABEL_TIME_HORIZON_SELECT": "Time horizon:",
                "WIDGET_TABLES_TIME_HORIZON_SELECT_PLACEHOLDER": "Choose time horizon to configure",

                "WIDGET_LOGIN_HEADER": "Introduce username and password",
                "WIDGET_LOGIN_LABEL_USERNAME": "Username:",
                "WIDGET_LOGIN_INPUT_USERNAME_PLACEHOLDER": "Enter username",
                "WIDGET_LOGIN_LABEL_PASSWORD": "Password:",
                "WIDGET_LOGIN_INPUT_PASSWORD_PLACEHOLDER": "Enter password",
                "WIDGET_LOGIN_BUTTON": "Login",

                "WIDGET_MAP_LABEL_PREDICTION_HORIZON": "Prediction Horizon:",
                "WIDGET_MAP_CUSTOM_PANEL_PAN_UP_TITLE": "Pan up:",
                "WIDGET_MAP_CUSTOM_PANEL_PAN_LEFT_TITLE": "Pan left:",
                "WIDGET_MAP_CUSTOM_PANEL_PAN_RIGHT_TITLE": "Pan right:",
                "WIDGET_MAP_CUSTOM_PANEL_PAN_DOWN_TITLE": "Pan down:",
                "WIDGET_MAP_CUSTOM_PANEL_CENTER_TITLE": "Center map:",

                "HOURS_UNITS": "hours",
                "MINUTES_UNITS": "mins",
                "NAV_SPANISH_LANGUAGE": "SPANISH",
                "NAV_ENGLISH_LANGUAGE": "ENGLISH",
                "NAV_FRENCH_LANGUAGE": "FRENCH",
                "NAV_": "LOGOUT",

                "CONTACT_TEXT": "More bla in en"
            }
        },
        "es" : {
            translation: {
                "TABLE_HEADER_LOAD_LINE": "Parametros",
                "TABLE_HEADER_SENSOR_TYPE": "Sensor type configuration es",


                "API_GET_LOAD_LINE_ERROR": "Error obteniendo los datos de la recta de carga",
                "API_PUT_LOAD_LINE_ERROR": "Error obteniendo los datos de la recta de carga",
                "API_PUT_LOAD_LINE_SUCCESS": "Los valores han sido actualizados",

                "API_POST_LOGIN_ERROR": "Usuario o contraseña incorrectas",

                "API_GET_PRORATED_VARIABLE_ERROR": "Error obteniendo los datos de la variable prorateada",
                "API_PUT_PRORATED_VARIABLE_SUCCESS": "La variable prorateada ha sido actualiza",
                "API_PUT_PRORATED_VARIABLE_ERROR": "Error obteniendo la variable prorateada",

                "API_GET_SENSOR_ERROR": "Error obteniendo los datos de sensor",
                "API_POST_SENSOR_SUCCESS": "Nuevo sensor ha sido añadido",
                "API_POST_SENSOR_ERROR": "Error añadiendo un nuevo sensor",
                "API_PUT_SENSOR_SUCCESS": "Un sensor ha sido actualizado",
                "API_PUT_SENSOR_ERROR": "Error actualizando un sensor",
                "API_DELETE_SENSOR_SUCCESS": "Un sensor ha sido eliminado",
                "API_DELETE_SENSOR_ERROR": "Error eliminando un sensor",

                "API_POST_SENSOR_TYPE_SUCCESS": "Nuevo tipo de sensor añadido",
                "API_POST_SENSOR_TYPE_ERROR": "Error añadiendo un nuevo tipo de sensor",
                "API_GET_SENSOR_TYPE_ERROR": "Error obteniendo los datos de un tipo de sensor",
                "API_PUT_SENSOR_TYPE_SUCCESS": "Un tipo de sensor ha sido actualizado",
                "API_PUT_SENSOR_TYPE_ERROR": "Error actualizando un tipo de sensor",
                "API_DELETE_SENSOR_TYPE_SUCCESS": "Un tipo de sensor ha sido eliminado",
                "API_DELETE_SENSOR_TYPE_ERROR": "Error eliminando un tipo de sensor",

                "API_GET_SHIFT_ERROR": "Error obteniendo los datos de desplazamiento",
                "API_PUT_SHIFT_SUCCESS": "Datos de desplazamiento han sido actualizados",
                "API_PUT_SHIFT_ERROR": "Error actualizando datos de desplazamiento",

                "API_GET_SIGMOID_ERROR": "Error obteniendo datos de función sigmoid",
                "API_PUT_SIGMOID_SUCCESS": "Datos de función de sigmoid han sido actualizados",
                "API_PUT_SIGMOID_ERROR": "Error actualizando datos de función sigmoid",

                "API_GET_TIME_HORIZON_ERROR": "Error obteniendo datos de horizonte temporal",
                "API_PUT_TIME_HORIZON_SUCCESS": "Datos de horizonte temporal han sido actualizados",
                "API_PUT_TIME_HORIZON_ERROR": "Error actualizando datos de horizonte temporal",

                "API_GET_WEIGHTS_SUCCESS": "Obteniendo pesos",
                "API_GET_WEIGHTS_ERROR": "Error obteniendo pesos de sensor",
                "API_PUT_WEIGHTS_SUCCESS": "Pesos de sensor han sido actualizados",
                "API_PUT_WEIGHTS_ERROR": "Error actualizando pesos de sensor",


                "CONF_BASE_HEADER": "Selecciona una cuenca para configurar",
                "CONF_BASE_LABEL_BASIN": "Cuenca",
                "CONF_BASE_LABEL_BASIN_TOOLTIP": "Mostrar opciones disponibles para seleccionar cuencas",
                "CONF_BASE_LABEL_BASIN_PLACEHOLDER": "Mostrar opciones disponibles para seleccionar cuencas",
                "CONF_BASE_SELECT_BASIN_OPTION_NIVE": "Nive",
                "CONF_BASE_SELECT_BASIN_OPTION_VENERO_CLARO": "Venero Claro",
                "CONF_BASE_LABEL_LOCATION": "Localidad",
                "CONF_BASE_LABEL_LOCATION_PLACEHOLDER": "Elige localidad de la cuenca seleccionada",
                "CONF_BASE_LABEL_LOCATION_TOOLTIP": "Mostrar opciones disponibles para selección de localidad",
                "CONF_BASE_OPTION_LOCATION_CAMBO_LES_BAINS": "Cambo les Bains",
                "CONF_BASE_OPTION_LOCATION_OSSES": "Osses",
                "CONF_BASE_OPTION_LOCATION_VENERO_CLARO": "Venero Claro",

                "CONF_BASE_TAB_SENSOR_TYPE": "TIPO DE SENSOR",
                "CONF_BASE_TAB_SENSOR": "SENSOR",
                "CONF_BASE_TAB_TIME_HORIZON": "HORIZONTE TEMPORAL",
                "CONF_BASE_TAB_SENSOR_WEIGHTS": "PESOS DE SENSOR",
                "CONF_BASE_TAB_PRORATED_VARIABLE": "VARIABLE PRORATEADA",
                "CONF_BASE_TAB_SIGMOID": "SIGMOID",
                "CONF_BASE_TAB_SHIFT": "DESPLAZAMIENTO",
                "CONF_BASE_TAB_LOAD_LINE": "RECTA DE CARGA",
                "CONF_BASE_SENSOR_TYPE_TAB_HEADER": "Configuración de tipo de sensor",
                "CONF_BASE_SENSOR_TYPE_TAB_LABEL_SEARCH": "Buscar",
                "CONF_BASE_SENSOR_TYPE_TAB_INPUT_SEARCH": "Buscar",
                "CONF_BASE_SENSOR_TYPE_TAB_COLUMN_1_HEADER": "Tipo de sensor",
                "CONF_BASE_SENSOR_TYPE_TAB_COLUMN_2_HEADER": "Intervalos",
                "CONF_BASE_SENSOR_TYPE_TAB_COLUMN_3_HEADER": "Modo de agregación",
                "CONF_BASE_COLUMN_OPTIONS": "Opciones",
                "CONF_BASE_SENSOR_TYPE_NEW_SENSOR_TYPE": "Añadir tipo de sensor",
                "CONF_BASE_SENSOR_TYPE_TAB_HEADER": "Configuración de tipo de sensor",


                "VALIDATION_LOAD_LINE_TIME_HORIZON": "Valor de recta de carga de horizonte temporal inválido",
                "VALIDATION_LOAD_LINE_SENSOR_ID": "Sensor id inválido",

                "VALIDATION_SENSOR_SENSOR_TYPE": "Tipo de sensor inválido",
                "VALIDATION_SENSOR_SENSOR_URL": "URL de sensor inválida",
                "VALIDATION_SENSOR_SENSOR_USERNAME": "Usuario de sensor inválido",
                "VALIDATION_SENSOR_SENSOR_PASSWORD": "Contraseña de sensor inválida",
                "VALIDATION_SENSOR_SAMPLING_FREQUENCY": "Valor de frecuencia de muestreo de sensor inválido",

                "VALIDATION_SENSOR_TYPE_SENSOR_TYPE": "Tipo de sensor inválido",
                "VALIDATION_SENSOR_TYPE_SENSOR_INTERVAL": "Intervalo de sensor inválido",
                "VALIDATION_SENSOR_TYPE_AGGREGATION_MODE": "Modo de agregación de sensor inválido",

                "VALIDATION_TIME_HORIZON_TIME_HORIZON_ID": "Id de horizonte temporal inválido",
                "VALIDATION_TIME_HORIZON_NEIGHBOUR": "Valor de número de vecinos para un horizonte temporal inválido",
                "VALIDATION_TIME_HORIZON_DISTANCE_THRESHOLD": "Valor de umbral de distancia para un horizonte temporal inválido",
                "VALIDATION_TIME_HORIZON_DISTANCE_FUNCTION": "Valor de función de distancia para un horizonte temporal inválido",
                "VALIDATION_TIME_HORIZON_SELECTION_MODE": "Valor de modo de selección para un horizonte temporal inválido",
                "VALIDATION_TIME_HORIZON_SELECTION_CRITERIA": "Valor de criterio de selección para un horizonte temporal inválido",

                "VALIDATION_WEIGHTS": "Valor de peso inválido",

                "VALIDATION_SIGMOID_A_PARAMETER": "Valor de parámetro A de función sigmoid inválido",
                "VALIDATION_SIGMOID_B_PARAMETER": "Valor de parámetro B de función sigmoid inválido",
                "VALIDATION_SIGMOID_C_PARAMETER": "Valor de parámetro C de función sigmoid inválido",
                "VALIDATION_SIGMOID_DELTA_PARAMETER": "Valor de parámetro delta de función sigmoid inválido",


                "VALIDATION_SHIFT_LH_PARAMETER": "Valor de parámetro de desplazamiento LH inválido",
                "VALIDATION_SHIFT_MH_PARAMETER": "Valor de parámetro de desplazamiento MH inválido",
                "VALIDATION_SHIFT_MHS_PARAMETER": "Valor de parámetro de desplazamiento MHS inválido",

                "VALIDATION_PRORATED_VARIABLE": "Valor de variable prorateada inválido",



                "WIDGET_FORM_HEADER": "Completa el formulario para obtener un mapa con las características indicadas",
                "WIDGET_FORM_LABEL_AREA": "Area: ",
                "WIDGET_FORM_INPUT_AREA_PLACEHOLDER": "Seleccione area",
                "WIDGET_FORM_AREA_OPTION_CAMBO": "Cambo les Bains",
                "WIDGET_FORM_AREA_OPTION_OSSES": "Osses",
                "WIDGET_FORM_AREA_OPTION_VENERO": "Venero Claro",
                "WIDGET_FORM_AREA_OPTION_RIBERA": "Ribera-da-Vinhas",
                "WIDGET_FORM_LABEL_DATE": "Fecha:",
                "WIDGET_FORM_LABEL_RAINFALL_FORECAST": "Tipo de predicción de lluvia:",
                "WIDGET_FORM_RAINFALL_FORECAST_PLACEHOLDER": "Elija un tipo de predicción de lluvia",

                "WIDGET_FORM_RAINFALL_FORECAST_OPTION_AUTOMATIC": "Automático",
                "WIDGET_FORM_RAINFALL_FORECAST_OPTION_MANUAL": "Manual",
                "WIDGET_FORM_RAINFALL_FORECAST_MANUAL_INPUT_LINEAR": "Lineal",
                "WIDGET_FORM_RAINFALL_FORECAST_MANUAL_INPUT_LABEL_LINEAR": "Curva lineal",
                "WIDGET_FORM_RAINFALL_FORECAST_MANUAL_INPUT_QUADRATIC": "Cuadrática",
                "WIDGET_FORM_RAINFALL_FORECAST_MANUAL_INPUT_LABEL_QUADRATIC": "Curva cuadrática",
                "WIDGET_FORM_RAINFALL_FORECAST_MANUAL_INPUT_QUADRATIC": "Gaussiana",
                "WIDGET_FORM_RAINFALL_FORECAST_MANUAL_INPUT_LABEL_QUADRATIC": "Curva gaussiana",
                "WIDGET_FORM_RAINFALL_FORECAST_MANUAL_VARIABLE_VALUE_A_LABEL": "Defina el valor de la variable 'a':",
                "WIDGET_FORM_RAINFALL_FORECAST_MANUAL_VARIABLE_VALUE_B_LABEL": "Defina el valor de la variable 'b':",
                "WIDGET_FORM_RAINFALL_FORECAST_MANUAL_VARIABLE_VALUE_C_LABEL": "Defina el valor de la variable 'c':",
                "WIDGET_FORM_BUTTON_SUBMIT": "Enviar",
                "WIDGET_FORM_BUTTON_SIMULATION_GRAPH_HIDE": "Ocultar simulación",
                "WIDGET_FORM_BUTTON_SIMULATION_GRAPH_SHOW": "Mostrar simulación",
                "WIDGET_FORM_IMAGE_ALT_SIMULATION_GRAPH": "Evolución de nivel de agua para el fichero de la simulación",
                "WIDGET_FORM_FIGCAPTION_SIMULATION_GRAPH": "Nivel de agua para la simulación",
                "WIDGET_FORM_SIMULATION_LABEL": "Simulación:",
                "WIDGET_FORM_SIMULATION_INPUT": "Seleccione fichero de simulación:",
                "WIDGET_FORM_HEADER_MAP": "Mapa generado:",


                "WIDGET_TABLES_TAB_SENSOR_TYPE": "TIPO DE SENSOR",
                "WIDGET_TABLES_TAB_TOOLTIP_SENSOR_TYPE": "Abrir pestaña de tipo de sensor",
                "WIDGET_TABLES_TAB_SENSOR": "SENSOR",
                "WIDGET_TABLES_TAB_TOOLTIP_SENSOR": "Abrir pestaña de información de sensor",
                "WIDGET_TABLES_TAB_TIME_HORIZON": "HORIZONTE TEMPORAL",
                "WIDGET_TABLES_TAB_TOOLTIP_TIME_HORIZON": "Abrir pestaña de información horizonte temporal",
                "WIDGET_TABLES_TAB_WEIGHTS": "PESOS DE SENSOR",
                "WIDGET_TABLES_TAB_TOOLTIP_WEIGHTS": "Abrir pestaña de pesos de sensor",
                "WIDGET_TABLES_TAB_PRORATED_VARIABLE": "VARIABLE PRORATEADA",
                "WIDGET_TABLES_TAB_TOOLTIP_PRORATED_VARIABLE": "Abrir pestaña de información de variable prorateada",
                "WIDGET_TABLES_TAB_SIGMOID": "SIGMOID",
                "WIDGET_TABLES_TAB_TOOLTIP_SIGMOID": "Abrir pestaña de información de función sigmoid",
                "WIDGET_TABLES_TAB_SHIFT": "DESPLAZAMIENTO",
                "WIDGET_TABLES_TAB_TOOLTIP_SHIFT": "Abrir pestaña de información de desplazamiento",
                "WIDGET_TABLES_TAB_LOAD_LINE": "RECTA DE CARGA",
                "WIDGET_TABLES_TAB_TOOLTIP_LOAD_LINE": "Abrir pestaña de información de recta de carga",

                "WIDGET_TABLES_MODAL_DELETE_SENSOR": "Confirmar eliminación de sensor",
                "WIDGET_TABLES_MODAL_BUTTON_DELETE_DISMISS_SENSOR": "Cerrar",
                "WIDGET_TABLES_MODAL_BUTTON_DELETE_CONFIRM_SENSOR": "Eliminar",
                "WIDGET_TABLES_MODAL_BODY_SENSOR": "¿Estás seguro de que quieres eliminar este sensor?",

                "WIDGET_TABLES_WEIGHTS_TAB_HEADER": "Seleccione horizonte temporal para configurar los pesos",

                "WIDGET_TABLES_PRORATED_VARIABLE_TAB_HEADER": "Variable prorateada",
                "WIDGET_TABLES_PRORATED_VARIABLE_TAB_LABEL": "Variable:",
                "WIDGET_TABLES_PRORATED_VARIABLE_TAB_INPUT_PLACEHOLDER": "Seleccione dimensión",

                "WIDGET_TABLES_SIGMOID_TAB_HEADER": "Seleccione horizonte temporal para configurar la función sigmoid",

                "WIDGET_TABLES_MODAL_DELETE_SENSOR_TYPE": "Confirmar eliminación de tipo de sensor",
                "WIDGET_TABLES_MODAL_BUTTON_DELETE_DISMISS_SENSOR_TYPE": "Cerrar",
                "WIDGET_TABLES_MODAL_BUTTON_DELETE_CONFIRM_SENSOR_TYPE": "Eliminar",
                "WIDGET_TABLES_MODAL_BODY_SENSOR_TYPE": "¿Estás seguro de que quieres eliminar este tipo de sensor?",

                "WIDGET_TABLES_LABEL_TIME_HORIZON_SELECT": "Horizonte temporal:",
                "WIDGET_TABLES_TIME_HORIZON_SELECT_PLACEHOLDER": "Elija horizonte temporal para configurar",


                "WIDGET_LOGIN_HEADER": "Introduce usuario y contraseña",
                "WIDGET_LOGIN_LABEL_USERNAME": "Usuario:",
                "WIDGET_LOGIN_INPUT_USERNAME_PLACEHOLDER": "Introduzca usuario",
                "WIDGET_LOGIN_LABEL_PASSWORD": "Contraseña:",
                "WIDGET_LOGIN_INPUT_PASSWORD_PLACEHOLDER": "Introduzca contraseña",
                "WIDGET_LOGIN_BUTTON": "Entrar",

                "WIDGET_MAP_LABEL_PREDICTION_HORIZON": "Horizonte de predicción:",
                "WIDGET_MAP_CUSTOM_PANEL_PAN_UP_TITLE": "Desplazar arriba:",
                "WIDGET_MAP_CUSTOM_PANEL_PAN_LEFT_TITLE": "Desplazar izquierda:",
                "WIDGET_MAP_CUSTOM_PANEL_PAN_RIGHT_TITLE": "Desplazar derecha:",
                "WIDGET_MAP_CUSTOM_PANEL_PAN_DOWN_TITLE": "Desplazar abajo:",
                "WIDGET_MAP_CUSTOM_PANEL_CENTER_TITLE": "Centrar:",

                "HOURS_UNITS": "horas",
                "MINUTES_UNITS": "mins",
                "NAV_SPANISH_LANGUAGE": "ESPAÑOL",
                "NAV_ENGLISH_LANGUAGE": "INGLÉS",
                "NAV_FRENCH_LANGUAGE": "FRANCÉS",

                "NAV_LOGOUT": "DESCONECTAR",
            }
        }
        ,
        "fr": {
            translation: {

                "TABLE_HEADER_LOAD_LINE": "Parametrous",
                "TABLE_HEADER_SENSOR_TYPE": "Sensor type configuration fr",


                "API_GET_LOAD_LINE_ERROR": "erreur lors de l'obtention des données de la ligne de charge",
                "API_PUT_LOAD_LINE_ERROR": "erreur lors de l'obtention des données de la ligne de charge",
                "API_PUT_LOAD_LINE_SUCCESS": "Les valeurs ont été mises à jour",

                "API_POST_LOGIN_ERROR": "Nom d'utilisateur ou mot de passe incorrect",

                "API_GET_PRORATED_VARIABLE_ERROR": "erreur lors de l'obtention de la variable au prorata",
                "API_PUT_PRORATED_VARIABLE_SUCCESS": "Type de capteur au prorata mis à jour",
                "API_PUT_PRORATED_VARIABLE_ERROR": "Erreur lors de la mise à jour du type de capteur au prorata",

                "API_GET_SENSOR_ERROR": "Erreur lors de l'obtention des données du capteur",
                "API_POST_SENSOR_SUCCESS": "Un nouveau capteur a été ajouté",
                "API_POST_SENSOR_ERROR": "Erreur lors de l'ajout d'un nouveau capteur",
                "API_PUT_SENSOR_SUCCESS": "Un capteur a été mis à jour",
                "API_PUT_SENSOR_ERROR": "Erreur lors de la mise à jour d'un capteur",
                "API_DELETE_SENSOR_SUCCESS": "Un capteur a été supprimé",
                "API_DELETE_SENSOR_ERROR": "Erreur lors de la suppression d'un capteur",

                "API_POST_SENSOR_TYPE_SUCCESS": "Un nouveau type de capteur a été ajouté",
                "API_POST_SENSOR_TYPE_ERROR": "Erreur lors de l'ajout d'un nouveau type de capteur",
                "API_GET_SENSOR_TYPE_ERROR": "Erreur lors de l'obtention des données de type de capteur",
                "API_PUT_SENSOR_TYPE_SUCCESS": "Un type de capteur a été mis à jour",
                "API_PUT_SENSOR_TYPE_ERROR": "Erreur lors de la mise à jour d'un type de capteur",
                "API_DELETE_SENSOR_TYPE_SUCCESS": "Un type de capteur a été supprimé",
                "API_DELETE_SENSOR_TYPE_ERROR": "Erreur lors de la suppression d'un type de capteur",

                "API_GET_SHIFT_ERROR": "Erreur lors de l'obtention des données d'équipe",
                "API_PUT_SHIFT_SUCCESS": "Les données d'équipe ont été mises à jour",
                "API_PUT_SHIFT_ERROR": "Erreur lors de la mise à jour des données d'équipe",

                "API_GET_SIGMOID_ERROR": "Erreur lors de l'obtention des données sigmoïdes",
                "API_PUT_SIGMOID_SUCCESS": "Les données de la fonction sigmoïde ont été mises à jour",
                "API_PUT_SIGMOID_ERROR": "Erreur lors de la mise à jour des données de la fonction sigmoïde",

                "API_GET_TIME_HORIZON_ERROR": "Erreur lors de l'obtention des données d'horizon temporel",
                "API_PUT_TIME_HORIZON_SUCCESS": "Les données d'horizon temporel ont été mises à jour",
                "API_PUT_TIME_HORIZON_ERROR": "Erreur lors de la mise à jour des données d'horizon temporel",

                "API_GET_WEIGHTS_SUCCESS": "Obtenir des poids",
                "API_GET_WEIGHTS_ERROR": "Erreur lors de l'obtention des données de poids du capteur",
                "API_PUT_WEIGHTS_SUCCESS": "Les poids ont été mis à jour",
                "API_PUT_WEIGHTS_ERROR": "Erreur lors de la mise à jour des pondérations",


                "CONF_BASE_HEADER": "Sélectionnez le bassin à configurer",
                "CONF_BASE_LABEL_BASIN": "Bassin",
                "CONF_BASE_LABEL_BASIN_TOOLTIP": "Afficher les options disponibles pour la sélection du bassin",
                "CONF_BASE_LABEL_BASIN_PLACEHOLDER": "Afficher les options disponibles pour la sélection du bassin",
                "CONF_BASE_SELECT_BASIN_OPTION_NIVE": "Nive",
                "CONF_BASE_SELECT_BASIN_OPTION_VENERO_CLARO": "Venero Claro",
                "CONF_BASE_LABEL_LOCATION": "Emplacement",
                "CONF_BASE_LABEL_LOCATION_PLACEHOLDER": "Choisir un emplacement dans le bassin sélectionné",
                "CONF_BASE_LABEL_LOCATION_TOOLTIP": "Afficher les options disponibles pour la sélection d'emplacement",
                "CONF_BASE_OPTION_LOCATION_CAMBO_LES_BAINS": "Cambo les Bains",
                "CONF_BASE_OPTION_LOCATION_OSSES": "Osses",
                "CONF_BASE_OPTION_LOCATION_VENERO_CLARO": "Venero Claro",

                "CONF_BASE_TAB_SENSOR_TYPE": "TYPE DE CAPTEUR",
                "CONF_BASE_TAB_SENSOR": "CAPTEUR",
                "CONF_BASE_TAB_TIME_HORIZON": "HORIZON TEMPOREL",
                "CONF_BASE_TAB_SENSOR_WEIGHTS": "POIDS DES CAPTEURS",
                "CONF_BASE_TAB_PRORATED_VARIABLE": "VARIABLE AU PRORATA",
                "CONF_BASE_TAB_SIGMOID": "SIGMOID",
                "CONF_BASE_TAB_SHIFT": "DÉCALAGE",
                "CONF_BASE_TAB_LOAD_LINE": "LIGNE DE CHARGE",
                "CONF_BASE_SENSOR_TYPE_TAB_HEADER": "Configuration du type de capteur",
                "CONF_BASE_SENSOR_TYPE_TAB_LABEL_SEARCH": "Chercher",
                "CONF_BASE_SENSOR_TYPE_TAB_INPUT_SEARCH": "Chercher",
                "CONF_BASE_SENSOR_TYPE_TAB_COLUMN_1_HEADER": "Type de capteur",
                "CONF_BASE_SENSOR_TYPE_TAB_COLUMN_2_HEADER": "Nombre d'intervalles",
                "CONF_BASE_SENSOR_TYPE_TAB_COLUMN_3_HEADER": "Mode d'agrégation",
                "CONF_BASE_COLUMN_OPTIONS": "Mode optionnel",
                "CONF_BASE_SENSOR_TYPE_NEW_SENSOR_TYPE": "Ajouter un nouveau type de capteur",
                "CONF_BASE_SENSOR_TYPE_TAB_HEADER": "Configuration du type de capteur",


                "VALIDATION_LOAD_LINE_TIME_HORIZON_": "Valeur d'horizon temporel de la ligne de charge non valide",
                "VALIDATION_LOAD_LINE_SENSOR_ID_": "ID de capteur non valide",

                "VALIDATION_SENSOR_SENSOR_TYPE": "Type de capteur invalide",
                "VALIDATION_SENSOR_SENSOR_URL": "URL de capteur invalide",
                "VALIDATION_SENSOR_SENSOR_USERNAME": "Nom d'utilisateur du capteur invalide",
                "VALIDATION_SENSOR_SENSOR_PASSWORD": "Mot de passe du capteur invalide",
                "VALIDATION_SENSOR_SAMPLING_FREQUENCY": "Valeur de fréquence d'échantillonnage du capteur invalide",

                "VALIDATION_SENSOR_TYPE_SENSOR_TYPE": "Type de capteur invalide",
                "VALIDATION_SENSOR_TYPE_SENSOR_INTERVAL": "Intervalle de capteur invalide",
                "VALIDATION_SENSOR_TYPE_AGGREGATION_MODE": "Mode d'agrégation de capteurs non valide",

                "VALIDATION_TIME_HORIZON_TIME_HORIZON_ID": "Identifiant d'horizon temporel non valide",
                "VALIDATION_TIME_HORIZON_NEIGHBOUR": "Valeur voisine de l'horizon temporel non valide",
                "VALIDATION_TIME_HORIZON_DISTANCE_THRESHOLD": "Valeur seuil de distance de l'horizon temporel non valide",
                "VALIDATION_TIME_HORIZON_DISTANCE_FUNCTION": "Valeur de la fonction de distance de l'horizon temporel non valide",
                "VALIDATION_TIME_HORIZON_SELECTION_MODE": "Valeur du mode de sélection de l'horizon temporel non valide",
                "VALIDATION_TIME_HORIZON_SELECTION_CRITERIA": "Valeur du critère de sélection de l'horizon temporel non valide",

                "VALIDATION_WEIGHTS": "Valeur de poids invalide",

                "VALIDATION_SIGMOID_A_PARAMETER": "Valeur de paramètre sigmoïde A non valide",
                "VALIDATION_SIGMOID_B_PARAMETER": "Valeur de paramètre sigmoïde B non valide",
                "VALIDATION_SIGMOID_C_PARAMETER": "Valeur de paramètre sigmoïde C non valide",
                "VALIDATION_SIGMOID_DELTA_PARAMETER": "Valeur de paramètre sigmoïde delta non valide",


                "VALIDATION_SHIFT_LH_PARAMETER": "Valeur du paramètre shift LH invalide",
                "VALIDATION_SHIFT_MH_PARAMETER": "Valeur du paramètre shift MH invalide",
                "VALIDATION_SHIFT_MHS_PARAMETER": "Valeur du paramètre shift MHS invalide",

                "VALIDATION_PRORATED_VARIABLE": "Valeur de variable au prorata invalide",



                "WIDGET_FORM_HEADER": "Remplissez ce formulaire pour obtenir une carte avec les caractéristiques indiquées",
                "WIDGET_FORM_LABEL_AREA": "Zone: ",
                "WIDGET_FORM_INPUT_AREA_PLACEHOLDER": "Sélectionnez la zone",
                "WIDGET_FORM_AREA_OPTION_CAMBO": "Cambo les Bains",
                "WIDGET_FORM_AREA_OPTION_OSSES": "Osses",
                "WIDGET_FORM_AREA_OPTION_VENERO": "Venero Claro",
                "WIDGET_FORM_AREA_OPTION_RIBERA": "Ribera-da-Vinhas",
                "WIDGET_FORM_LABEL_DATE": "Date:",
                "WIDGET_FORM_LABEL_RAINFALL_FORECAST": "Type de prévision des précipitations:",
                "WIDGET_FORM_RAINFALL_FORECAST_PLACEHOLDER": "Choisissez le type de prévision des précipitations",
                "": "",
                "WIDGET_FORM_RAINFALL_FORECAST_OPTION_AUTOMATIC": "Automatique",
                "WIDGET_FORM_RAINFALL_FORECAST_OPTION_MANUAL": "Manual",
                "WIDGET_FORM_RAINFALL_FORECAST_MANUAL_INPUT_LINEAR": "Linéaire",
                "WIDGET_FORM_RAINFALL_FORECAST_MANUAL_INPUT_LABEL_LINEAR": "Courbe linéaire",
                "WIDGET_FORM_RAINFALL_FORECAST_MANUAL_INPUT_QUADRATIC": "Quadratique",
                "WIDGET_FORM_RAINFALL_FORECAST_MANUAL_INPUT_LABEL_QUADRATIC": "Quadratic curve",
                "WIDGET_FORM_RAINFALL_FORECAST_MANUAL_INPUT_QUADRATIC": "Gaussienne",
                "WIDGET_FORM_RAINFALL_FORECAST_MANUAL_INPUT_LABEL_QUADRATIC": "Courbe de Gauss",
                "WIDGET_FORM_RAINFALL_FORECAST_MANUAL_VARIABLE_VALUE_A_LABEL": "Définir la valeur de la variable 'a':",
                "WIDGET_FORM_RAINFALL_FORECAST_MANUAL_VARIABLE_VALUE_B_LABEL": "Définir la valeur de la variable 'b':",
                "WIDGET_FORM_RAINFALL_FORECAST_MANUAL_VARIABLE_VALUE_C_LABEL": "Définir la valeur de la variable 'c':",
                "WIDGET_FORM_BUTTON_SUBMIT": "Send",
                "WIDGET_FORM_BUTTON_SIMULATION_GRAPH_HIDE": "Masquer le graphique de simulation",
                "WIDGET_FORM_BUTTON_SIMULATION_GRAPH_SHOW": "Afficher le graphique de simulation",
                "WIDGET_FORM_IMAGE_ALT_SIMULATION_GRAPH": "Évolution du niveau de rejet d'eau pour la simulation",
                "WIDGET_FORM_FIGCAPTION_SIMULATION_GRAPH": "Niveau de rejet d'eau pour la simulation",
                "WIDGET_FORM_SIMULATION_LABEL": "Simulation:",
                "WIDGET_FORM_SIMULATION_INPUT": "Sélectionnez le fichier de simulation:",
                "WIDGET_FORM_HEADER_MAP": "Carte générée:",
                "WIDGET_FORM_SIMULATION_LABEL": "Simulation:",

                "WIDGET_TABLES_TAB_SENSOR_TYPE": "TYPE DE CAPTEUR",
                "WIDGET_TABLES_TAB_TOOLTIP_SENSOR_TYPE": "Ouvrir l'onglet de données du type de capteur i18n",
                "WIDGET_TABLES_TAB_SENSOR": "CAPTEUR",
                "WIDGET_TABLES_TAB_TOOLTIP_SENSOR": "Ouvrir l'onglet des données du capteur",
                "WIDGET_TABLES_TAB_TIME_HORIZON": "HORIZON TEMPOREL",
                "WIDGET_TABLES_TAB_TOOLTIP_TIME_HORIZON": "Ouvrir l'onglet des données d'horizon temporel",
                "WIDGET_TABLES_TAB_WEIGHTS": "POIDS DES CAPTEURS",
                "WIDGET_TABLES_TAB_TOOLTIP_WEIGHTS": "Ouvrir l'onglet des données de poids",
                "WIDGET_TABLES_TAB_PRORATED_VARIABLE": "CAPTEUR",
                "WIDGET_TABLES_TAB_TOOLTIP_PRORATED_VARIABLE": "Ouvrir l'onglet des données variables au prorata",
                "WIDGET_TABLES_TAB_SIGMOID": "SIGMOID",
                "WIDGET_TABLES_TAB_TOOLTIP_SIGMOID": "Ouvrir l'onglet des données sigmoïdes",
                "WIDGET_TABLES_TAB_SHIFT": "DÉCALAGE",
                "WIDGET_TABLES_TAB_TOOLTIP_SHIFT": "Ouvrir l'onglet des données d'équipe",
                "WIDGET_TABLES_TAB_LOAD_LINE": "LIGNE DE CHARGE",
                "WIDGET_TABLES_TAB_TOOLTIP_LOAD_LINE": "Ouvrir l'onglet des données de la ligne de charge",

                "WIDGET_TABLES_MODAL_DELETE_SENSOR": "Confirmer la suppression de la source du capteur",
                "WIDGET_TABLES_MODAL_BUTTON_DELETE_DISMISS_SENSOR": "Fermer",
                "WIDGET_TABLES_MODAL_BUTTON_DELETE_CONFIRM_SENSOR": "Effacer",
                "WIDGET_TABLES_MODAL_BODY_SENSOR": "Voulez-vous vraiment supprimer cette source de capteur?",

                "WIDGET_TABLES_WEIGHTS_TAB_HEADER": "Sélectionnez l'horizon temporel pour configurer les valeurs d'intervalle de pondération",

                "WIDGET_TABLES_PRORATED_VARIABLE_TAB_HEADER": "Variable au prorata",
                "WIDGET_TABLES_PRORATED_VARIABLE_TAB_LABEL": "Variable:",
                "WIDGET_TABLES_PRORATED_VARIABLE_TAB_INPUT_PLACEHOLDER": "Sélectionnez la dimension",

                "WIDGET_TABLES_SIGMOID_TAB_HEADER": "Sélectionnez l'horizon temporel pour configurer la fonction sigmoïde",

                "WIDGET_TABLES_MODAL_DELETE_SENSOR_TYPE": "Confirmer la suppression des données de type de capteur",
                "WIDGET_TABLES_MODAL_BUTTON_DELETE_DISMISS_SENSOR_TYPE": "Fermer",
                "WIDGET_TABLES_MODAL_BUTTON_DELETE_CONFIRM_SENSOR_TYPE": "Effecer",
                "WIDGET_TABLES_MODAL_BODY_SENSOR_TYPE": "Voulez-vous vraiment supprimer cette source de capteur?",

                "WIDGET_TABLES_LABEL_TIME_HORIZON_SELECT": "Horizon temporel:",
                "WIDGET_TABLES_TIME_HORIZON_SELECT_PLACEHOLDER": "Choisissez l'horizon temporel à configurer",


                "WIDGET_LOGIN_HEADER": "Introduisez le nom d'utilisateur et le mot de passe",
                "WIDGET_LOGIN_LABEL_USERNAME": "Nom d'utilisateur:",
                "WIDGET_LOGIN_INPUT_USERNAME_PLACEHOLDER": "Saisissez votre nom d'utilisateur",
                "WIDGET_LOGIN_LABEL_PASSWORD": "Mot de passe:",
                "WIDGET_LOGIN_INPUT_PASSWORD_PLACEHOLDER": "Entrer le mot de passe",
                "WIDGET_LOGIN_BUTTON": "Login",

                "WIDGET_MAP_LABEL_PREDICTION_HORIZON": "Horizon de prédiction:",
                "WIDGET_MAP_CUSTOM_PANEL_PAN_UP_TITLE": "Panoramique vers le haut",
                "WIDGET_MAP_CUSTOM_PANEL_PAN_LEFT_TITLE": "Panoramique à gauche",
                "WIDGET_MAP_CUSTOM_PANEL_PAN_RIGHT_TITLE": "Panoramique à droite",
                "WIDGET_MAP_CUSTOM_PANEL_PAN_DOWN_TITLE": "Panoramique vers le bas",
                "WIDGET_MAP_CUSTOM_PANEL_CENTER_TITLE": "Centrer la carte",

                "HOURS_UNITS": "heures",
                "MINUTES_UNITS": "minutes",
                "NAV_SPANISH_LANGUAGE": "ESPAGNOL",
                "NAV_ENGLISH_LANGUAGE": "ANGLAISE",
                "NAV_FRENCH_LANGUAGE": "FRANÇAISE",
                "NAV_LOGOUT": "LOGOUT",

            }
        }
    },
    supportedLngs: ['en', 'es', 'fr'],
    detectLngQS: 'lang',
    resGetPath: '/i18next/__lng__/__ns__.json',
    lng: 'en'})


module.exports = i18next;