// CRUD for weights
module.exports = function (app, db, validations, i18next) {

    /**
     * API Route: "/api/loadLine/:location/:timeHorizon"
     * API Method: GET
     * Get loadline data for a given location and time horizon.
     */
    app.get("/api/loadLine/:location", function (req, res) {
        // get
        db.getLoadLineData(req, function (loadLineData) {
            // if error
            if (loadLineData == null) {
                res.status(500);
                res.json({error: i18next.t("API_GET_LOAD_LINE_ERROR")});
            }
            // if ok
            else {
                res.status(200);
                res.send(JSON.stringify(loadLineData));
            }
        })
    })


    app.put("/api/loadLine/", function (req, res) {
        var loadLineData = req.body.loadLineData
        loadLineData.location = req.body.location
        loadLineData.sensorId = req.body.sensorId
        //validation
        validations.validateLoadLineData(loadLineData, i18next,function (response) {
            // if error
            if (response !== "") {
                res.status(400)
                res.json({
                    message: response.message,
                    messageType: response.messageType
                })
            }
            //else
            else {
                // update
                db.updateLoadLineData(loadLineData, function (response) {
                    // if oke
                    if (response === undefined) {
                        res.status(200);
                        res.json({
                            message: i18next.t("API_PUT_LOAD_LINE_SUCCESS"),
                            messageType: "alert alert-primary alert-dismissible"
                        })
                    }
                    // if not ok
                    else {
                        res.status(500);
                        res.json({
                            message: i18next("API_PUT_LOAD_LINE_ERROR"),
                            messageType: "alert alert-primary alert-dismissible"
                        });
                    }
                })
            }
        })

    })
}