const isItUnique = (value, index, self) => {
    return self.indexOf(value) === index
}
/**
 * Load load line table with recovered load line data.
 * @param timeHorizonValue. Time horizon of the Sensor type data recovered from the db.
 * @param loadLineData. Load line data recovered from the db.
 */
function loadLoadLineTable(loadLineData) {
    $("#loadLineTableContainer").empty()
    var loadLineTable =  '<h3>' + i18next.t("TABLE_HEADER_LOAD_LINE") + '</h3>' +
        "<table id='loadLineTable' class='table table-hover table-striped'>" +
        "<thead>" +
        "<tr>" +
        "<th scope='col' class='number'>" + i18next.t("TABLE_COLUMN_SENSOR_IDENTIFIER_LOAD_LINE") + "</th>"
    sensors = loadLineData.map((a) => a.sensor_identifier).filter(isItUnique)

    for (i = 0; i < MAX_TIME_HORIZON; i++) {
        loadLineTable = loadLineTable.concat("<th scope='col' class='number' id='" + i +"'>" + i + "</th>")
    }
    loadLineTable = loadLineTable.concat("<th scope='col'>" + i18next.t("TABLE_COLUMN_OPTIONS") + "</th>")
    loadLineTable = loadLineTable.concat("</tr></thead><tbody id='loadLineTableBody'></tbody></table>")
    $("#loadLineTableContainer").append(loadLineTable)
    var loadLineTableBodyContent = "";

    for (j = 0; j < sensors.length; j++) {
        loadLineTableBodyContent = loadLineTableBodyContent.concat("<tr id='loadLine" + j + "'>")
        loadLineTableBodyContent = loadLineTableBodyContent.concat("<td class='number' id='sensorId" + sensors[j] + "'>"+ sensors[j] +"</td>")
        values = loadLineData.filter((a) => a.sensor_identifier == sensors[j]).filter(isItUnique)

        for (k = 0; k < MAX_TIME_HORIZON; k++) {
            loadLineTableBodyContent = loadLineTableBodyContent.concat("<td class = 'number' id = 'loadLine" + sensors[j] + k + "'>" + values[k].value + "</td>")
        }
        loadLineTableBodyContent = loadLineTableBodyContent.concat("<td>" +
            "<a id = 'editLoadLineButton" + sensors[j] + "' onclick = editLoadLineParameters('" + sensors[j] + "')> <i class='fas fa-edit'> </i></a>" +
            "<a class = 'updateButton' id = 'saveLoadLineButton" + sensors[j] + "' onclick = saveLoadLineParameters('" + sensors[j] + "')> <i class='fas fa-save'> </i></a>" +
            "</td></tr>")
    }
    $("#loadLineTableBody").append(loadLineTableBodyContent)
}
