/**
 * Load sensor table with recovered sensor data.
 * @param sensors. Sensor data recovered from the db.
 */
sensorSearchBoxId = 'sensorSearchBox';
sensorTableId = 'sensorTable';

function loadSensorTable(sensors) {
    $("#sensorTableContainer").empty()
    $("#sensorTableContainer").append("<h3>" + i18next.t("TABLE_HEADER_SENSOR") + "</h3> " +
        "<form>" +
        "<div id='searchRow' class='row input-group w-50 p-3'>" +
        "<label class='input-group-text' for='" + sensorSearchBoxId + "'>" + i18next.t("TABLE_LABEL_SEARCH") + "</label>   " +
        "<input class='form-control' id='" + sensorSearchBoxId + "' type='text' placeholder='" + i18next.t("TABLE_LABEL_PLACEHOLDER_SEARCH") + "'" +
"                  onkeyup='search(" + "sensorSearchBoxId" + "," + "sensorTableId" + ")'/>" +
        "<div class='input-group-append'>" +
        "   <button class='input-group-append btn btn-outline-primary btn fas fa-search' onclick='search(" + "searchBoxId" + "," + "tableId" + ")' >" +
        "   </button>" +
        "</div>" +
        "</div>" +
        "</form>" +
        "<table id='sensorTable' class='table table-hover table-sm table-striped'>" +
        "<thead>" +
        "<tr class='noSearch'>" +
        "<th scope='col' class='text sortable' data-toggle='tooltip' data-placement='top' title='" + i18next.t("TABLE_COLUMN_SENSOR_TYPE_ORDER_TOOLTIP_SENSOR") + "'>" + i18next.t("TABLE_COLUMN_SENSOR_TYPE_SENSOR") + "</th>" +
        "<th scope='col' class='text sortable' data-toggle='tooltip' data-placement='top' title='" + i18next.t("TABLE_COLUMN_URL_ORDER_TOOLTIP_SENSOR") + "'>" + i18next.t("TABLE_COLUMN_URL_SENSOR") + "</th>" +
        "<th scope='col' class='text sortable' data-toggle='tooltip' data-placement='top' title='" + i18next.t("TABLE_COLUMN_USERNAME_ORDER_TOOLTIP_SENSOR") + "'>" + i18next.t("TABLE_COLUMN_USERNAME_SENSOR") + "</th>" +
        "<th scope='col' class='text sortable' data-toggle='tooltip' data-placement='top' title='" + i18next.t("TABLE_COLUMN_PASSWORD_ORDER_TOOLTIP_SENSOR") + "'>" + i18next.t("TABLE_COLUMN_PASSWORD_SENSOR") + "</th>" +
        "<th scope='col' class='text sortable' data-toggle='tooltip' data-placement='top' title='" + i18next.t("TABLE_COLUMN_ID_ORDER_TOOLTIP_SENSOR") + "'>" + i18next.t("TABLE_COLUMN_SENSOR_ID_SENSOR") + "</th>" +
        "<th scope='col' class='number sortable' data-toggle='tooltip' data-placement='top' title='" + i18next.t("TABLE_COLUMN_SAMPLING_FREQUENCY_ORDER_TOOLTIP_SENSOR") + "'>" + i18next.t("TABLE_COLUMN_SAMPLING_FREQUENCY_SENSOR") + "</th>" +
        "<th scope='col' class='text'>" + i18next.t("TABLE_COLUMN_OPTIONS_SENSOR") + "</th>" +
        "</tr>" +
        "</thead>" +
        "<tbody id='sensorTableBody'>" +
        "</tbody>" +
        "</table>")
    for (i = 0; i < sensors.length; i++) {
        $( "#sensorTableBody" ).append(
            "<tr class = 'text' id = 'sensorRow" + i + "'>" +
            "<td class = 'text' id = 'sensorType" + i + "'>" + sensors[i].conf_sensor_type_id + "</td>" +
            "<td class = 'longCell text' id = 'sensorURL" + i + "'>" + sensors[i].url_access + "</td>" +
            "<td class = 'text' id = 'sensorUsername" + i + "'>" + sensors[i].username +  "</td>" +
            "<td class = 'text' id = 'sensorPassword" + i + "'>" + sensors[i].password +  "</td>" +
            "<td class = 'text' id = 'sensorId" + i + "'>" + sensors[i].sensor_identifier + "</td>" +
            "<td class = 'number' id = 'sensorSamplingFrequency" + i + "'>" + sensors[i].sampling_freq + "</td>" +
            "<td class = 'text'>" +
            "<a id = 'editSensorButton" + i + "' onclick = editSensorData(" + i + ") data-toggle='tooltip' data-placement='top' title='" + i18next.t("TABLE_OPTION_TOOLTIP_EDIT_SENSOR") + "'> <i class = 'fas fa-edit'></i> </a>" +
            "<a class = 'updateButton' id='updateSensorButton" + i + "' onclick = updateSensorData(" + i + ") data-toggle='tooltip' data-placement='top' title='" + i18next.t("TABLE_OPTION_TOOLTIP_SAVE_SENSOR") + "'> <i class = 'fas fa-save'></i> </a>" +
            "<a id = 'deleteSensorButton" + i + "' data-bs-toggle='modal' data-bs-target='#deleteModal' onclick = deleteSensorData(" + i + "," + false + ") data-toggle='tooltip' data-placement='top' title='" + i18next.t("TABLE_OPTION_TOOLTIP_DELETE_SENSOR") + "Delete sensor'> <i class = 'fas fa-trash'></i> </a>" +
            "</td>" +
            "</tr>")
    }
    $( "#newSensorRowButton").empty()
    $( "#newSensorRowButton" ).append("<a id='newSensorButton' onclick = newSensorRow(" + sensors.length + ") data-toggle='tooltip' data-placement='top' title='" + i18next.t("TABLE_OPTION_TOOLTIP_NEW_SENSOR") + "'><i class = 'fas fa-plus'></i>" + i18next.t("TABLE_OPTION_BUTTON_NEW_SENSOR") + "</a>" )


    document.getElementById("newSensorRowButton").style.display = "inline-block";


    let table = document.getElementById("sensorTable");
    let headers = table.querySelectorAll('th');
    [].forEach.call(headers, function (header, index) {
        if ($(header).hasClass("sortable")) {
            header.addEventListener('click', function () {
                sortColumn('sensorTable', index, header);
            })
        }
    })

}


