
sensorTypeSearchBoxId = 'sensorTypeSearchBox';
sensorTypeTableId = 'sensorTypeTable';

/**
 * Load sensor type table with recovered sensor type data.
 * @param sensorTypeData. Sensor type data recovered from the db.
 */
function loadSensorTypeTable(sensorTypeData) {
    $("#sensorTypeTableContainer").empty()
    $("#sensorTypeTableContainer").append(
        "<h3>" + i18next.t("TABLE_HEADER_SENSOR_TYPE") + "</h3>" +
        "<form>" +
        "<div id='searchRow' class='row input-group w-50 p-3'>" +
        "<label class='input-group-text' for='"+sensorTypeSearchBoxId+"'>" + i18next.t("TABLE_LABEL_SEARCH_SENSOR_TYPE") + "</label>   " +
        "<input class='form-control' id='" + sensorTypeSearchBoxId +"' type='text' placeholder='" + i18next.t("TABLE_LABEL_PLACEHOLDER_SEARCH_SENSOR_TYPE") + "'" +
        "                  onkeyup='search(" + "sensorTypeSearchBoxId" + "," + "sensorTypeTableId" + ")'/>" +
        "<div class='input-group-append'>" +
        "   <button class='input-group-append btn btn-outline-primary btn fas fa-search' onclick='search(" + "sensorTypeSearchBoxId" + "," + "sensorTypeTableId" + ")' >" +
        "   </button>" +
        "</div>" +
        "</div>" +
        "</form>" +
        "<table id='sensorTypeTable' class='table table-hover table-sm table-striped'>" +
        "<thead>" +
        "<tr class='noSearch'>" +
        "<th scope='col' class='text sortable' data-toggle='tooltip' data-placement='top' title='" + i18next.t("TABLE_COLUMN_SENSOR_TYPE_ORDER_TOOLTIP_SENSOR_TYPE") + "'>" + i18next.t("TABLE_COLUMN_SENSOR_TYPE_SENSOR_TYPE") + "</th>" +
        "<th scope='col' class='number sortable' data-toggle='tooltip' data-placement='top' title='" + i18next.t("TABLE_COLUMN_NUMBER_OF_INTERVALS_ORDER_TOOLTIP_SENSOR_TYPE") + "'>" + i18next.t("TABLE_COLUMN_NUMBER_OF_INTERVALS_SENSOR_TYPE") + "</th>" +
        "<th scope='col' class='text sortable' data-toggle='tooltip' data-placement='top' title='" + i18next.t("TABLE_COLUMN_AGGREGATION_MODE_ORDER_TOOLTIP_SENSOR_TYPE") + "'>" + i18next.t("TABLE_COLUMN_AGGREGATION_MODE_SENSOR_TYPE") + "</th>" +
        "<th scope='col' class='text' >" + i18next.t("TABLE_COLUMN_OPTIONS") + "</th>" +
        "</tr>" +
        "</thead>" +
        "<tbody id = 'sensorTypeBody'>" +
        "</tbody>" +
        "</table>")
    for (i = 0; i < sensorTypeData.length; i++) {
        $( "#sensorTypeBody" ).append(
            "<tr id='sensorTypeRow" + i + "'>" +
            "<td class='text' id='sensorTypeType" + i + "'>" + sensorTypeData[i].conf_sensor_type_id + "</td>" +
            "<td class='number' id='sensorTypeHourInterval" + i + "'>" + sensorTypeData[i].number_of_intervals + "</td>" +
            "<td class='text' id='sensorTypeAggregationMode" + i + "'>" + sensorTypeData[i].conf_sensor_aggregation_id + "</td>" +
            "<td class='text'>" +
            "<a id='editSensorTypeButton" + i + "' onclick = editSensorTypeData(" + i + ") data-toggle='tooltip' data-placement='top' title='" + i18next.t("TABLE_OPTION_TOOLTIP_EDIT_SENSOR_TYPE") + "'> <i class='fas fa-edit'> </i></a>" +
            "<a class='updateButton' id='saveSensorTypeButton" + i + "' onclick = updateSensorTypeData(" + i + ") data-toggle='tooltip' data-placement='top' title='" + i18next.t("TABLE_OPTION_TOOLTIP_SAVE_SENSOR_TYPE") + "'> <i class='fas fa-save'> </i></a>" +
            "<a id = 'deleteSensorTypeButton" + i + "' onclick = deleteSensorTypeData(" + i + "," + false + ") data-toggle='tooltip' data-placement='top' title='" + i18next.t("TABLE_OPTION_TOOLTIP_DELETE_SENSOR_TYPE") + "'> <i class = 'fas fa-trash'></i> </a>" +
            "</td>" +
            "</tr>")
    }
    $( "#newSensorTypeRowButton").empty()
    $( "#newSensorTypeRowButton" ).append("<a id='newSensorTypeButton' onclick = newSensorType(" + i + ") data-toggle='tooltip' data-placement='top' title='" + i18next.t("TABLE_BUTTON_TOOLTIP_NEW_SENSOR_TYPE") + "'><i class = 'fas fa-plus'></i>" + i18next.t("TABLE_OPTION_BUTTON_NEW_SENSOR_TYPE") + "</a>" )
    document.getElementById("newSensorTypeRowButton").style.display = "inline-block";


    let table = document.getElementById("sensorTypeTable");
    let headers = table.querySelectorAll('th');

    [].forEach.call(headers, function (header, index) {
        if ($(header).hasClass("sortable")) {
            header.addEventListener('click', function () {
                sortColumn('sensorTypeTable', index, header);
            })
        }
    })
}