/**
 * Load shift table with recovered shift data.
 * @param shiftData. Shift data recovered from the db.
 * @param location. Location of the shift data recovered.
 */
function loadShiftConfTable(shiftData, location) {
    $("#shiftConfTableContainer").empty()
    $("#shiftConfTableContainer").append(
        "<h3>" + i18next.t("TABLE_HEADER_SHIFT") + "</h3>" +
        "<table id='shiftConfTable' class = 'table table-hover table-striped'>" +
        "<thead>" +
        "<tr>" +
        "<th scope='col' class='number' data-toggle='tooltip' data-placement='top' title='" + i18next.t("TABLE_COLUMN_LH_SHIFT_ORDER_TOOLTIP_SHIFT") + "'>" + i18next.t("TABLE_COLUMN_LH_SHIFT") + "</th>" +
        "<th scope='col' class='number' data-toggle='tooltip' data-placement='top' title='" + i18next.t("TABLE_OPTION_MH_SHIFT_ORDER_TOOLTIP_SHIFT") + "'>" + i18next.t("TABLE_COLUMN_MH_SHIFT") + "</th>" +
        "<th scope='col' class='number' data-toggle='tooltip' data-placement='top' title='" + i18next.t("TABLE_OPTION_MHS_SHIFT_ORDER_TOOLTIP_SHIFT") + "'>" + i18next.t("TABLE_COLUMN_MHS_SHIFT") + "</th>" +
        "<th scope='col' class='text'>" + i18next.t("TABLE_COLUMN_OPTIONS_SHIFT") +"</th>" +
        "</tr>" +
        "</thead>" +
        "<tbody id = 'shiftConfTableBody'>" +
        "</tbody>" +
        "</table>")
    if (shiftData.length > 0) {
        let noWhiteSpaceLocation = location.replace(/\s+/g, '')
        $("#shiftConfTableBody").append(
            "<tr id = 'shiftRow" + noWhiteSpaceLocation + "'>" +
            "<td class = 'number' id = 'shiftLH" + noWhiteSpaceLocation + "'>" + shiftData[0].lh + "</td>" +
            "<td class = 'number' id = 'shiftMH" + noWhiteSpaceLocation + "'>" + shiftData[0].mh + "</td>" +
            "<td class = 'number' id = 'shiftMHS" + noWhiteSpaceLocation + "'>" + shiftData[0].mhs + "</td>" +
            "<td class='text'>" +
            "<a id = 'editShiftButton" + noWhiteSpaceLocation + "' onclick = editShiftParameters('" + noWhiteSpaceLocation + "') data-toggle='tooltip' data-placement='top' title='" + i18next.t("TABLE_OPTION_TOOLTIP_EDIT_SHIFT") + "'> <i class='fas fa-edit'> </i> </a>" +
            "<a class='updateButton' id='saveShiftButton" + noWhiteSpaceLocation + "' onclick= saveShiftParameters('" + noWhiteSpaceLocation + "') data-toggle='tooltip' data-placement='top' title='" + i18next.t("TABLE_OPTION_TOOLTIP_SAVE_SHIFT") + "'> <i class='fas fa-save'> </i> </a>" +
            "</td>" +
            "</tr>")
    }
}