/**
 * Load sigmoid table with recovered sigmoid data.
 * @param timeHorizonValue. Time horizon of the Sensor type data recovered from the db.
 * @param sigmoidData. Sigmoid data recovered from the db.
 */
function loadSigmoidTable(timeHorizonValue, sigmoidData) {
    $("#sigmoidTableContainer").empty()
    $("#sigmoidTableContainer").append(
        "<h3>" + i18next.t("TABLE_HEADER_SIGMOID") + "</h3>" +
        "<table id='sigmoidTable' class='table table-hover table-striped'>" +
        "<thead>" +
        "<tr>" +
        "<th scope='col'>" + i18next.t("TABLE_COLUMN_A_PARAMETER_SIGMOID_SIGMOID") + "</th>" +
        "<th scope='col'>" + i18next.t("TABLE_COLUMN_B_PARAMETER_SIGMOID_SIGMOID") + "</th>" +
        "<th scope='col'>" + i18next.t("TABLE_COLUMN_C_PARAMETER_SIGMOID_SIGMOID") + "</th>" +
        "<th scope='col'>" + i18next.t("TABLE_COLUMN_A_PARAMETER_SIGMOID_SIGMOID") + "</th>" +
        "<th scope='col'>" + i18next.t("TABLE_COLUMN_OPTIONS_SIGMOID") + "</th>" +
        "</tr>" +
        "</thead>" +
        "<tbody id='sigmoidTableBody'>" +
        "</tbody>" +
        "</table>")
    if (sigmoidData.length > 0) {
        $("#sigmoidTableBody").append(
            "<tr id = 'sigmoidRow" + timeHorizonValue + "'>" +
            "<td class = 'number' id = 'sigmoidA" + timeHorizonValue + "' >" + sigmoidData[0].merging_parameter_a + "</td>" +
            "<td class = 'number' id = 'sigmoidB" + timeHorizonValue + "'>" + sigmoidData[0].merging_parameter_b + "</td>" +
            "<td class = 'number' id = 'sigmoidC" + timeHorizonValue + "'>" + sigmoidData[0].merging_parameter_c + "</td>" +
            "<td class = 'number' id = 'sigmoidDelta" + timeHorizonValue + "'>" + sigmoidData[0].merging_parameter_delta + "</td>" +
            "<td>" +
            "<a id = 'editSigmoidButton" + timeHorizonValue + "' onclick = editSigmoidParameters('" + timeHorizonValue + "') data-toggle='tooltip' data-placement='top' title='" + i18next.t("TABLE_OPTION_TOOLTIP_EDIT_SIGMOID") + "'> <i class='fas fa-edit'> </i></a>" +
            "<a class = 'updateButton' id = 'saveSigmoidButton" + timeHorizonValue + "' onclick = saveSigmoidParameters('" + timeHorizonValue + "') data-toggle='tooltip' data-placement='top' title='" + i18next.t("TABLE_OPTION_TOOLTIP_SAVE_SIGMOID") + "'> <i class='fas fa-save'> </i></a>" +
            "</td>" +
            "</tr>"
        )
    }
}
