timeHorizonSearchBoxId = "timeHorizonSearchBox"
timeHorizonTableId = "timeHorizonTable"
/**
 * Load time horizon table with recovered time horizon data.
 * @param timeHorizons. Time horizon data recovered from the db.
 */
function loadTimeHorizonTable(timeHorizons) {
    $("#timeHorizonTableContainer").empty()
    $("#timeHorizonTableContainer").append(
        "<h3>" + i18next.t("TABLE_HEADER_TIME_HORIZON") + "</h3>" +
        "<form>" +
        "<div id='searchRow' class='row input-group w-50 p-3'>" +
        "<label class='input-group-text' for='"+timeHorizonSearchBoxId+"'>" + i18next.t("TABLE_FORM_LABEL_SEARCH_TIME_HORIZON") + "</label>   " +
        "<input class='form-control' id='" + timeHorizonSearchBoxId +"' type='text' placeholder='" + i18next.t("TABLE_FORM_LABEL_PLACEHOLDER_TIME_HORIZON") + "'" +
        "                  onkeyup='search(" + "timeHorizonSearchBoxId" + "," + "timeHorizonTableId" + ")'/>" +
        "<div class='input-group-append'>" +
        "   <button class='input-group-append btn btn-outline-primary btn fas fa-search' onclick='search(" + "timeHorizonSearchBoxId" + "," + "timeHorizonTableId" + ")' >" +
        "   </button>" +
        "</div>" +
        "</div>" +
        "</form>" +
        "<table id='timeHorizonTable' class ='table table-hover table-striped'>" +
        "<thead>" +
        "<tr class='noSearch'>" +
        "<th scope='col' class='number sortable' data-toggle='tooltip' data-placement='top' title='" + i18next.t("TABLE_COLUMN_PREDICTION_HORIZON_ORDER_TOOLTIP_TIME_HORIZON") + "'>" + i18next.t("TABLE_COLUMN_PREDICTION_HORIZON_TIME_HORIZON") + "</th>" +
        "<th scope='col' class='number sortable' data-toggle='tooltip' data-placement='top' title='" + i18next.t("TABLE_COLUMN_NUMBER_OF_NEIGHBOURS_ORDER_TOOLTIP_TIME_HORIZON") + "'>" + i18next.t("TABLE_COLUMN_NUMBER_OF_NEIGHBOURS_TIME_HORIZON") + "</th>" +
        "<th scope='col' class='number sortable' data-toggle='tooltip' data-placement='top' title='" + i18next.t("TABLE_COLUMN_DISTANCE_THRESHOLD_ORDER_TOOLTIP_TIME_HORIZON") + "'>" + i18next.t("TABLE_COLUMN_DISTANCE_THRESHOLD_TIME_HORIZON") + "</th>" +
        "<th scope='col' class='text sortable' data-toggle='tooltip' data-placement='top' title='" + i18next.t("TABLE_COLUMN_SELECTION_MODE_ORDER_TOOLTIP_TIME_HORIZON") + "'>" + i18next.t("TABLE_COLUMN_SELECTION_MODE_TIME_HORIZON") + "</th>" +
        "<th scope='col' class='text sortable' data-toggle='tooltip' data-placement='top' title='" + i18next.t("TABLE_COLUMN_DISTANCE_FUNCTION_ORDER_TOOLTIP_TIME_HORIZON") + "'>" + i18next.t("TABLE_COLUMN_DISTANCE_FUNCTION_TIME_HORIZON") + "</th>" +
        "<th scope='col' class='text sortable' data-toggle='tooltip' data-placement='top' title='" + i18next.t("TABLE_COLUMN_SELECTION_CRITERIA_ORDER_TOOLTIP_TIME_HORIZON") + "'>" + i18next.t("TABLE_COLUMN_SELECTION_CRITERIA_TIME_HORIZON") + "</th>" +
        "<th scope='col' class='text'>" + i18next.t("TABLE_COLUMN_OPTIONS_TIME_HORIZON") + "</th>" +
        "</tr>" +
        "</thead>" +
        "<tbody id='thtableBody'>" +
        "</tbody>" +
        "</table>")
    for (i = 0; i < timeHorizons.length; i++) {
        $( "#thtableBody" ).append(
            "<tr id = 'timeHorizonRow" + i + "'>" +
            "<td class='number' id = 'timeHorizonId" + i + "'>" + timeHorizons[i].prediction_horizon + "</td>" +
            "<td class='number' id = 'timeHorizonNeighbour" + i + "'>" + timeHorizons[i].number_of_neighbour + "</td>" +
            "<td class='number' id = 'timeHorizonDistanceThreshold" + i + "'>" + timeHorizons[i].distance_threshold + "</td>" +
            "<td class='text' id = 'timeHorizonSelectionMode" + i + "'>" + timeHorizons[i].conf_selection_mode + "</td>" +
            "<td class='text' id = 'timeHorizonDistanceFunction" + i + "'>" + timeHorizons[i].conf_distance_function + "</td>" +
            "<td class='text' id = 'timeHorizonSelectionCriteria" + i + "'>" + timeHorizons[i].conf_selection_criteria + "</td>" +
            "<td class='text'>" +
            "<a id='editTimeHorizonButton" + i + "' onclick= editTimeHorizon(" + i + ")> <i class='fas fa-edit'> </i></a>" +
            "<a class='updateButton' id='saveTimeHorizonButton" + i + "' onclick= updateTimeHorizon(" + i + ")> <i class='fas fa-save'> </i></a>" +
            "</td>" +
            "</tr>")
    }

    // sorting
    let thTable = document.getElementById("timeHorizonTable");
    let headers = thTable.querySelectorAll('th');

    [].forEach.call(headers, function (header, index) {
        if ($(header).hasClass("sortable")) {
            header.addEventListener('click', function () {
                sortColumn('timeHorizonTable', index, header);
            })
        }
    })
}