weightsSearchBoxId = "weightSearchBox"
weightsTableId = "weightsTable"

/**
 * Load weight table with recovered weight data.
 * @param weightsData. Weight data recovered from the db.
 */
function loadWeightTable(weightsData, location) {
    var maxInterval = Math.max.apply(Math, weightsData.map(function (item) {
        return item.interval;
    }))
    $("#weightsTableContainer").empty()
    var weightsTableConf = "<h3>" + i18next.t("TABLE_HEADER_WEIGHTS") + "</h3>" +
        "<form>" +
        "<div id='searchRow' class='row input-group w-50 p-3'>" +
        "<label class='input-group-text' for='"+weightsSearchBoxId+"'>" + i18next.t("TABLE_FORM_LABEL_SEARCH_WEIGHTS") + "</label>   " +
        "<input class='form-control' id='" + weightsSearchBoxId +"' type='text' placeholder='" + i18next.t("TABLE_FORM_LABEL_PLACEHOLDER_WEIGHTS") + "'" +
        "                  onkeyup='search(" + "weightsSearchBoxId" + "," + "weightsTableId" + ")'/>" +
        "<div class='input-group-append'>" +
        "   <button class='input-group-append btn btn-outline-primary btn fas fa-search' onclick='search(" + "weightsSearchBoxId" + "," + "weightsTableId" + ")' >" +
        "   </button>" +
        "</div>" +
        "</div>" +
        "</form>" +
        "<table id='weightsTable' class='table table-hover table-striped'>" +
        "<thead>" +
        "<tr>" +
        "<th scope='col' class='text sortable' data-toggle='tooltip' data-placement='top' title='" + i18next.t("TABLE_COLUMN_SENSOR_ORDER_TOOLTIP_WEIGHTS") + "'>" + i18next.t("TABLE_COLUMN_SENSOR_WEIGHTS") + "</th>" +
        "<th scope='col' class='text sortable' data-toggle='tooltip' data-placement='top' title='" + i18next.t("TABLE_COLUMN_SENSOR_TYPE_ORDER_TOOLTIP_WEIGHTS") + "'>" + i18next.t("TABLE_COLUMN_SENSOR_TYPE_WEIGHTS") + "</th>"
    for (let i = 0; i < maxInterval; i++) {
        if (location.toLowerCase() === "Cambo les Bains".toLowerCase() ||
            location.toLowerCase() === "Osses".toLowerCase()) {
            weightsTableConf = weightsTableConf.concat("<th scope='col' class='number sortable'>" + i + "h</th>")
        }
        else {
            weightsTableConf = weightsTableConf.concat("<th scope='col' class='number sortable'>" + i + "</th>")
        }
    }
    weightsTableConf = weightsTableConf.concat("<th scope='col'>Options</th>" +
        "</tr>" +
        "</thead>" +
        "<tbody class = 'number' id='weightsTableBody'>" +
        "</tbody>" +
        "</table>")

    $("#weightsTableContainer").append(weightsTableConf)

    var map = new Map()
    var lastSensor = weightsData[0].sensor_identifier
    var sensorCount = 0
    for(weightItem in weightsData) {
        if (weightsData[weightItem].sensor_identifier == lastSensor) {
            sensorCount++
        }
        else {
            map.set(lastSensor, sensorCount)
            sensorCount = 1
            lastSensor = weightsData[weightItem].sensor_identifier
        }
        map.set(lastSensor, sensorCount)
    }

    var weightsTableData = ""
    var i = 0
    for (const key of map.keys()) {
        weightsTableData = weightsTableData.concat("<tr id = 'weightsRow" + i + "'>" +
            "<td class='text' id = 'weightSensorId" + i + "'>" + weightsData[i].sensor_identifier + "</td>" +
            "<td class='text' id = 'weightSensorType" + i + "'>" + weightsData[i].conf_sensor_type_id + "</td>")
        for (j = 0; j < map.get(key); j++) {
            weightsTableData = weightsTableData.concat(
                "<td class='number' id = 'weight" + i + j + "'>" + weightsData[i+j].weight + "</td>")
        }
        for (j = map.get(key); j < maxInterval; j++) {
            weightsTableData = weightsTableData.concat(
                "<td class='number'> - </td>")
        }
        $("#weightsTableBody").append(weightsTableData +
            "<td>" +
            "<a id='editWeightsButton" + i + "' onclick= editWeights(" + i + "," + map.get(key) + ")> <i class='fas fa-edit'> </i></a>" +
            "<a class='updateButton' id='saveWeightsButton" + i + "' onclick= saveWeightsData(" + i + "," + map.get(key) + ")> <i class='fas fa-save'> </i></a>" +
            "</td>" +
            "</tr>")
        i+=map.get(key)
        weightsTableData = ""
    }




    // sorting
    let thTable = document.getElementById("weightsTable");
    let headers = thTable.querySelectorAll('th');

    [].forEach.call(headers, function (header, index) {
        if ($(header).hasClass("sortable")) {
            header.addEventListener('click', function () {
                sortColumn('weightsTable', index, header);
            })
        }
    })

}
