// defining directions and adding headers to it
var directions = [];
var tables = document.querySelectorAll('table');

tables.forEach(function (table) {
    const headers = table.querySelectorAll('th');

    directions.push(Array.from(headers).map(function (header) {
        return '';
    }));
})


function sortColumn (tableId, index, header) {
    const table = document.getElementById(tableId);
    const headers = table.querySelectorAll('th');
    const tableBody = table.querySelector('tbody');
    const rows = tableBody.querySelectorAll('tr');

    const direction = directions[index] || 'asc';
    const multiplier = (direction === 'asc') ? 1 : -1;

    const newRows = Array.from(rows);

    newRows.sort(function (rowA, rowB) {
        const cellA = rowA.querySelectorAll('td')[index].innerHTML;
        const cellB = rowB.querySelectorAll('td')[index].innerHTML;

        const a = transform(tableId, index, cellA);
        const b = transform(tableId, index, cellB);


        switch (true) {
            case a > b:
                return multiplier;
            case a < b:
                return -1 * multiplier;
            case a === b:
                return 0;
        }
    });

    [].forEach.call(rows, function(row) {
        tableBody.removeChild(row);
    })

    newRows.forEach(function (newRow) {
        tableBody.appendChild(newRow);
    })

    directions[index] = direction === 'asc' ? 'desc' : 'asc';

    resetHeaders(headers)
    directions[index] === 'asc' ? header.innerHTML = header.innerHTML + " <i class = 'fas fa-arrow-up'></i>" :
                                  header.innerHTML = header.innerHTML + " <i class = 'fas fa-arrow-down'></i>"
}

function resetHeaders(headers) {
    headers.forEach(function (head) {
        head.innerHTML = head.innerHTML.replaceAll(/<i.*<\/i>/g , " ")
    })
}

function transform (tableId, index, content) {
    const table = document.getElementById(tableId);
    const headers = table.querySelectorAll('th');

    const type = getClassType(headers[index].className);

    switch (type) {
        case 'number':
            return parseFloat(content);
        case 'text':
            return content.toString().toLowerCase();
        default:
            return content.toString().toLowerCase();
    }
}

function getClassType(type) {
    if (type.includes('number')) {
        return 'number';
    }
    else if (type.includes('text')) {
        return 'text';
    }
    else {
        return 'default';
    }
}