var MAX_TIME_HORIZON = 6;
// old data
var oldSensorValueList = [];


function editLoadLineParameters(loadLineSensorId) {
    // hide edit button and show save button
    document.getElementById("editLoadLineButton" + loadLineSensorId).style.display="none";
    document.getElementById("saveLoadLineButton" + loadLineSensorId).style.display="inline-block";

    oldSensorValueList = []
    for (i = 0; i < MAX_TIME_HORIZON; i++) {
        let value = document.getElementById("loadLine" + loadLineSensorId + i )
        oldSensorValueList.push(value.innerHTML)
        value.innerHTML="<input class='number' size='1' type='text' id='loadLine" + loadLineSensorId + i + "_text' value='" + oldSensorValueList[i] +"'>";
    }

}


function saveLoadLineParameters(loadLineRow) {
    // Obtain modified data to update db
    let loadLineData = obtainModifiedLoadLineData(loadLineRow)

    // Update db call with the updated data
    updateLoadLine(loadLineData, loadLineRow)

    // Modify table action buttons
    document.getElementById("editLoadLineButton" + loadLineRow).style.display = "inline-block";
    document.getElementById("saveLoadLineButton" + loadLineRow).style.display = "none";

}

function obtainModifiedLoadLineData(loadLineRow) {
    let valuesList = []
    for (let i = 0; i < MAX_TIME_HORIZON; i++) {
        valuesList.push(document.getElementById("loadLine" + loadLineRow + i + "_text").value)
    }
    return valuesList
}


/**
 * Function to update sensor data in database.
 * This function is called when an existing sensor is edited and
 * the user clicks on the save icon to save the changes.
 * @param newSensor new sensor data to save.
 * @param sensorRow Sensor of the saved row.
 */
function updateLoadLine(loadLineData, sensorId) {
    var location = $("#locationSelect").val()
    $.ajax({
        url: URLbase + "/loadLine",
        type: "PUT",
        data: {
            loadLineData: loadLineData,
            location: location,
            sensorId: sensorId
        },
        dataType: 'json',
        headers: {},
        success: function(validationResult) {
            console.log("success")
            loadLoadLineData()
            showMessage(validationResult)
            updateCBRApp()
        },
        error : function (error) {
            console.log("error")
            loadLoadLineData()
            showMessage(error.responseJSON)
        }
    });
}