// old shift data
var oldShiftLHData
var oldShiftMHData
var oldShiftMHSData

// ----------------------------------------- UPDATE -----------------------------------------
/**
 * Function for editing a shift parameter row.
 * @param location. Location of the shift data.
 */
function editShiftParameters(location) {
    // hide edit button and show save button
    document.getElementById("editShiftButton" + location).style.display = "none";
    document.getElementById("saveShiftButton" + location).style.display = "inline-block";

    // get weights elements
    const shiftLH = document.getElementById("shiftLH" + location)
    const shiftMH = document.getElementById("shiftMH" + location)
    const shiftMHS = document.getElementById("shiftMHS" + location)

    oldShiftLHData = shiftLH.innerHTML
    oldShiftMHData = shiftMH.innerHTML
    oldShiftMHSData = shiftMHS.innerHTML

    // // get sensor data
    const shiftLHData = shiftLH.innerHTML
    const shiftMHData = shiftMH.innerHTML
    const shiftMHSData = shiftMHS.innerHTML

    shiftLH.innerHTML="<input class='number' type='text' id='shiftLH_text" + location + "' value='" + shiftLHData +"'>";
    shiftMH.innerHTML="<input class='number' type='text' id='shiftMH_text" + location + "' value='" + shiftMHData + "'>";
    shiftMHS.innerHTML="<input class='number' type='text' id='shiftMHS_text" + location + "' value='" + shiftMHSData + "'>";
}

/**
 * Function for saving shift data into database.
 * @param location. Location of the shift data.
 */
function saveShiftParameters(location) {
    const shiftLH_val = document.getElementById("shiftLH_text" + location).value;
    const shiftMH_val = document.getElementById("shiftMH_text" + location).value;
    const shiftMHS_val = document.getElementById("shiftMHS_text" + location).value;

    const shift = {
        "shiftLH" : shiftLH_val,
        "shiftMH" : shiftMH_val,
        "shiftMHS" : shiftMHS_val
    }

    updateShift(shift, location)

    document.getElementById("editShiftButton" + location).style.display = "inline-block";
    document.getElementById("saveShiftButton" + location).style.display = "none";

}

/**
 * Function for calling the API and update shift values for a given location.
 * @param shift. Shift data.
 * @param location. Location of the shift data.
 */
function updateShift(shift, location) {
    var locationBasin = $("#locationSelect").val()
    $.ajax({
        url: URLbase + "/shift",
        type: "PUT",
        data: {
            shift: shift,
            location: locationBasin
        },
        dataType: 'json',
        headers: {},
        success: function(validationResult) {
            showMessage(validationResult)
            handleShiftSuccessValidation(shift, location)
            updateCBRApp()
        },
        error : function (error) {
            showMessage(error.responseJSON)
            handleShiftErrorValidation(location)
        }
    });
}

// ----------------------------------------- HELPER -----------------------------------------

/**
 * Helper function for handling a shift success validation.
 * @param shift. Updated shift data.
 * @param location. Location of the updated shift data.
 */
function handleShiftSuccessValidation(shift, location) {
    document.getElementById("shiftLH" + location).innerHTML = shift.shiftLH;
    document.getElementById("shiftMH" + location).innerHTML = shift.shiftMH;
    document.getElementById("shiftMHS" + location).innerHTML = shift.shiftMHS;
}

/**
 * Helper function for handling shift error validation.
 * @param location. Location of the updated sensor data.
 */
function handleShiftErrorValidation(location) {
    document.getElementById("shiftLH" + location).innerHTML = oldShiftLHData;
    document.getElementById("shiftMH" + location).innerHTML = oldShiftMHData;
    document.getElementById("shiftMHS" + location).innerHTML = oldShiftMHSData;
}