// old sigmoid data
var oldSigmoidAData
var oldSigmoidBData
var oldSigmoidCData
var oldSigmoidDeltaData

// ----------------------------------------- UPDATE -----------------------------------------
/**
 * Function for editing a sigmoid item.
 * @param sigmoidRow. Sigmoid row that will be edited.
 */
function editSigmoidParameters(sigmoidRow) {
    // hide edit button and show save button
    document.getElementById("editSigmoidButton" + sigmoidRow).style.display = "none";
    document.getElementById("saveSigmoidButton" + sigmoidRow).style.display = "inline-block";

    // get weights elements
    const sigmoidA = document.getElementById("sigmoidA" + sigmoidRow)
    const sigmoidB = document.getElementById("sigmoidB" + sigmoidRow)
    const sigmoidC = document.getElementById("sigmoidC" + sigmoidRow)
    const sigmoidDelta = document.getElementById("sigmoidDelta" + sigmoidRow)

    // Save old values
    oldSigmoidAData = sigmoidA.innerHTML
    oldSigmoidBData = sigmoidB.innerHTML
    oldSigmoidCData = sigmoidC.innerHTML
    oldSigmoidDeltaData = sigmoidDelta.innerHTML

    // Update inputs with old values
    sigmoidA.innerHTML="<input class='number' type='text' id='sigmoidA_text" + sigmoidRow + "' value='" + oldSigmoidAData +"'>";
    sigmoidB.innerHTML="<input class='number' type='text' id='sigmoidB_text" + sigmoidRow + "' value='" + oldSigmoidBData + "'>";
    sigmoidC.innerHTML="<input class='number' type='text' id='sigmoidC_text" + sigmoidRow + "' value='" + oldSigmoidCData + "'>";
    sigmoidDelta.innerHTML="<input class='number' type='text' id='sigmoidDelta_text" + sigmoidRow + "' value='" + oldSigmoidDeltaData + "'>";
}

/**
 * Function for saving edited sigmoid data.
 * @param sigmoidRow. Sigmoid row of the updated sigmoid data.
 */
function saveSigmoidParameters(sigmoidRow) {
    const sigmoidA_val = document.getElementById("sigmoidA_text" + sigmoidRow).value;
    const sigmoidB_val = document.getElementById("sigmoidB_text" + sigmoidRow).value;
    const sigmoidC_val = document.getElementById("sigmoidC_text" + sigmoidRow).value;
    const sigmoidDelta_val = document.getElementById("sigmoidDelta_text" + sigmoidRow).value;

    const sigmoidItem = {
        "sigmoidA": sigmoidA_val,
        "sigmoidB": sigmoidB_val,
        "sigmoidC": sigmoidC_val,
        "sigmoidDelta": sigmoidDelta_val
    }
    updateSigmoid(sigmoidItem, sigmoidRow)

    document.getElementById("editSigmoidButton" + sigmoidRow).style.display = "inline-block";
    document.getElementById("saveSigmoidButton" + sigmoidRow).style.display = "none";
}

/**
 * Create an API call to update a sigmoid row in the db.
 * @param sigmoidItem. Sigmoid data to update in the db.
 * @param sigmoidRow. Row of the sigmoid item to be update.
 */
function updateSigmoid(sigmoidItem, sigmoidRow) {
    var location = $("#locationSelect").val()
    $.ajax({
        url: URLbase + "/sigmoid",
        type: "PUT",
        data: {
            sigmoid: sigmoidItem,
            timeHorizon: sigmoidRow,
            location: location
        },
        dataType: 'json',
        headers: {},
        success: function(validationResult) {
            showMessage(validationResult)
            handleSigmoidSuccessValidation(sigmoidItem, sigmoidRow)
            updateCBRApp()
        },
        error : function (error) {
            showMessage(error.responseJSON)
            handleSigmoidErrorValidation(sigmoidRow)
        }
    });
}

// ----------------------------------------- HELPER -----------------------------------------
/**
 * Helper function for handling sigmoid success validation.
 * @param sigmoidItem. Updated sigmoid data.
 * @param sigmoidRow. Row of the updated sigmoid data.
 */
function handleSigmoidSuccessValidation(sigmoidItem, sigmoidRow) {
    document.getElementById("sigmoidA" + sigmoidRow).innerHTML = sigmoidItem.sigmoidA;
    document.getElementById("sigmoidB" + sigmoidRow).innerHTML = sigmoidItem.sigmoidB;
    document.getElementById("sigmoidC" + sigmoidRow).innerHTML = sigmoidItem.sigmoidC;
    document.getElementById("sigmoidDelta" + sigmoidRow).innerHTML = sigmoidItem.sigmoidDelta;
}

/**
 * Helper function for handling sigmoid error validation.
 * @param sigmoidRow. Row of the updated sigmoid data.
 */
function handleSigmoidErrorValidation(sigmoidRow) {
    document.getElementById("sigmoidA" + sigmoidRow).innerHTML = oldSigmoidAData;
    document.getElementById("sigmoidB" + sigmoidRow).innerHTML = oldSigmoidBData;
    document.getElementById("sigmoidC" + sigmoidRow).innerHTML = oldSigmoidCData;
    document.getElementById("sigmoidDelta" + sigmoidRow).innerHTML = oldSigmoidDeltaData;
}