// old time horizon data
var oldTimeHorizonIdData
var oldTimeHorizonNeighbourData
var oldTimeHorizonDistanceThresholdData
var oldTimeHorizonDistanceFunctionData
var oldTimeHorizonSelectionModeData
var oldTimeHorizonSelectionCriteriaData


// ----------------------------------------- UDPATE -----------------------------------------

/**
 * Edit time horizon in a selected row
 * @param timeHorizonRow to edit
 */
function editTimeHorizon(timeHorizonRow) {
    // hide edit button and show save button
    document.getElementById("editTimeHorizonButton" + timeHorizonRow).style.display="none";
    document.getElementById("saveTimeHorizonButton" + timeHorizonRow).style.display="inline-block";

    // get sensor elements
    const id = document.getElementById("timeHorizonId" + timeHorizonRow)
    const neighbour = document.getElementById("timeHorizonNeighbour" + timeHorizonRow)
    const distanceThreshold = document.getElementById("timeHorizonDistanceThreshold" + timeHorizonRow)
    const distanceFunction = document.getElementById("timeHorizonDistanceFunction" + timeHorizonRow)
    const selectionMode = document.getElementById("timeHorizonSelectionMode" + timeHorizonRow)
    const selectionCriteria = document.getElementById("timeHorizonSelectionCriteria" + timeHorizonRow)

    // save old values
    oldTimeHorizonIdData = id.innerHTML
    oldTimeHorizonNeighbourData = neighbour.innerHTML
    oldTimeHorizonDistanceThresholdData = distanceThreshold.innerHTML
    oldTimeHorizonDistanceFunctionData = distanceFunction.innerHTML
    oldTimeHorizonSelectionModeData = selectionMode.innerHTML
    oldTimeHorizonSelectionCriteriaData = selectionCriteria.innerHTML

    // set old values to the input
    id.innerHTML="<input size='1' type='text' id='timeHorizonId_text" + timeHorizonRow + "' value='" + oldTimeHorizonIdData +"'>";
    neighbour.innerHTML="<input size='1' type='text' id='neighbour_text" + timeHorizonRow + "' value='" + oldTimeHorizonNeighbourData + "'>";
    distanceThreshold.innerHTML="<input size='1' type='text' id='distanceThreshold_text" + timeHorizonRow + "' value='" + oldTimeHorizonDistanceThresholdData + "'>";
    const distanceFunctionText = 'distanceFunction_text'
    distanceFunction.innerHTML="<select id='"+ distanceFunctionText + timeHorizonRow + "' value='" + oldTimeHorizonDistanceFunctionData + "'>" +
        "    <option value='Weighted Sum'> Weighted Sum</option>" +
        "    <option value='Sobol Indexes'> Sobol Indexes</option>" +
        "</select>"
    setSelectedOption(distanceFunctionText, oldTimeHorizonDistanceFunctionData, timeHorizonRow)
    const selectionModeText = 'selectionMode_text'
    selectionMode.innerHTML="<select id='" + selectionModeText + timeHorizonRow + "' value='" + oldTimeHorizonSelectionModeData + "'>" +
        "    <option value='Distance Threshold'> Distance Threshold </option>" +
        "    <option value='Number of Neighbour'> Number of Neighbour </option>" +
        "</select>"
    setSelectedOption(selectionModeText, oldTimeHorizonSelectionModeData, timeHorizonRow)
    const selectionCriteriaText = 'selectionCriteria_text'
    selectionCriteria.innerHTML="<select id='" + selectionCriteriaText + timeHorizonRow + "' value='" + oldTimeHorizonSelectionCriteriaData + "'>" +
        "    <option value='Pareto Dominance'> Pareto Dominance </option>" +
        "    <option value='Minimizing a Single Criteria'> Minimizing a Single Criteria </option>" +
        "</select>"
    setSelectedOption(selectionCriteriaText, oldTimeHorizonSelectionCriteriaData, timeHorizonRow)
}

/**
 * Update time horizon data in a selected row
 * @param timeHorizonRow. Row of the time horizon to save
 */
function updateTimeHorizon(timeHorizonRow) {
    // get data values
    const id_val = document.getElementById("timeHorizonId_text" + timeHorizonRow).value;
    const neighbour_val = document.getElementById("neighbour_text" + timeHorizonRow).value;
    const distanceThreshold_val = document.getElementById("distanceThreshold_text" + timeHorizonRow).value;
    const distanceFunction_val = document.getElementById("distanceFunction_text" + timeHorizonRow).value;
    const selectionMode_val = document.getElementById("selectionMode_text" + timeHorizonRow).value;
    const selectionCriteria_val = document.getElementById("selectionCriteria_text" + timeHorizonRow).value;

    // data to be saved
    const timeHorizonData = {
        "timeHorizonId": id_val,
        "timeHorizonNeighbour": neighbour_val,
        "timeHorizonDistanceThreshold": distanceThreshold_val,
        "timeHorizonDistanceFunction": distanceFunction_val,
        "timeHorizonSelectionMode": selectionMode_val,
        "timeHorizonSelectionCriteria": selectionCriteria_val
    }

    // save in db
    saveTimeHorizon(timeHorizonData, timeHorizonRow)

    //update table
    document.getElementById("editTimeHorizonButton" + timeHorizonRow).style.display="inline-block";
    document.getElementById("saveTimeHorizonButton" + timeHorizonRow).style.display="none";
}

/**
 * Function to update time horizon data in db
 * @param timeHorizonData. Time horizon data of the updated time horizon row.
 * @param timeHorizonRow. Row of the time horizon table to be updated in db.
 */
function saveTimeHorizon(timeHorizonData, timeHorizonRow) {
    var location = $("#locationSelect").val()
    $.ajax({
        url: URLbase + "/timeHorizon",
        type: "PUT",
        data: {
            timeHorizon: timeHorizonData,
            location: location,
            oldTimeHorizonId: oldTimeHorizonIdData
        },
        dataType: 'json',
        headers: {},
        success: function(validationResult) {
            showMessage(validationResult)
            handleTimeHorizonSuccessValidation(timeHorizonData, timeHorizonRow)
            updateCBRApp()
        },
        error : function (error) {
            showMessage(error.responseJSON)
            handleTimeHorizonErrorValidation(timeHorizonRow)
        }
    });
}


// ----------------------------------------- HELPER -----------------------------------------
/**
 * Helper function for handling time horizon success validation.
 * @param newTimeHorizon. Updated time horizon data.
 * @param timeHorizonRow. Row of the time horizon table that will be updated.
 */
function handleTimeHorizonSuccessValidation(newTimeHorizon, timeHorizonRow) {
    document.getElementById("timeHorizonId" + timeHorizonRow).innerHTML = newTimeHorizon.timeHorizonId;
    document.getElementById("timeHorizonNeighbour" + timeHorizonRow).innerHTML = newTimeHorizon.timeHorizonNeighbour;
    document.getElementById("timeHorizonDistanceThreshold" + timeHorizonRow).innerHTML = newTimeHorizon.timeHorizonDistanceThreshold;
    document.getElementById("timeHorizonDistanceFunction" + timeHorizonRow).innerHTML = newTimeHorizon.timeHorizonDistanceFunction;
    document.getElementById("timeHorizonSelectionMode" + timeHorizonRow).innerHTML = newTimeHorizon.timeHorizonSelectionMode;
    document.getElementById("timeHorizonSelectionCriteria" + timeHorizonRow).innerHTML = newTimeHorizon.timeHorizonSelectionCriteria;
}

/**
 * Helper function for handling time horizon error validation.
 * @param timeHorizonRow. Row of the time horizon table that will be updated.
 */
function handleTimeHorizonErrorValidation(timeHorizonRow) {
    document.getElementById("timeHorizonId" + timeHorizonRow).innerHTML = oldTimeHorizonIdData;
    document.getElementById("timeHorizonNeighbour" + timeHorizonRow).innerHTML = oldTimeHorizonNeighbourData;
    document.getElementById("timeHorizonDistanceThreshold" + timeHorizonRow).innerHTML = oldTimeHorizonDistanceThresholdData;
    document.getElementById("timeHorizonDistanceFunction" + timeHorizonRow).innerHTML = oldTimeHorizonDistanceFunctionData;
    document.getElementById("timeHorizonSelectionMode" + timeHorizonRow).innerHTML = oldTimeHorizonSelectionModeData;
    document.getElementById("timeHorizonSelectionCriteria" + timeHorizonRow).innerHTML = oldTimeHorizonSelectionCriteriaData;
}