// old data
var oldWeightsList = [];

// ----------------------------------------- UDPATE -----------------------------------------

/**
 * Edit Weights in a selected row.
 * @param weightRow. Row with weight data to be edited.
 */
function editWeights(weightRow, intervals) {
    // hide edit button and show save button
    document.getElementById("editWeightsButton" + weightRow).style.display="none";
    document.getElementById("saveWeightsButton" + weightRow).style.display="inline-block";

    // get weights elements
    oldWeightsList = []
    for (let i=0; i < intervals; i++) {
        const weight = document.getElementById("weight" + weightRow + i)
        oldWeightsList.push(weight.innerHTML)
        weight.innerHTML="<input class='number' size='1' type='text' id='weight" + weightRow + i + "_text' value='" + oldWeightsList[i] +"'>";
    }
}

/**
 * Function to save edited weight data.
 * @param weightRow. Row to be saved.
 */
function saveWeightsData(weightRow, intervals) {
    // get data values
    const sensorId = document.getElementById("weightSensorId" + weightRow).innerHTML
    let nowWeightsValuesList = []
    for (let i = 0; i < intervals; i++) {
        nowWeightsValuesList.push(document.getElementById("weight" + weightRow + i + "_text").value)
    }

    // save it
    saveWeights(nowWeightsValuesList, sensorId, weightRow)
}

/**
 * Function that creates a call to the API to update weight values.
 * @param weight. Weight data.
 * @param sensorId. Sensor id of the weights.
 * @param weightRow. Row of the table that contains the weights.
 */
function saveWeights(weights, sensorId, weightRow) {
    var location = $("#locationSelect").val()
    $.ajax({
        url: URLbase + "/weights/" + sensorId + "/" + location,
        type: "GET",
        data: {},
        dataType: 'json',
        success: function(respuesta) {
            updateSensorWeights(respuesta, sensorId, weights, location)
            updateCBRApp()
        },
        error: function(error) {
            showMessage(error)
        },
    })
}
function updateSensorWeights(respuesta, sensorId, weights, location) {
    var predictionHorizon = $("#thWeightSelect").val()

    let sensorIdList = []
    for (let i = 0; i < respuesta.queryResult.length; i++) {
        sensorIdList.push(respuesta.queryResult[i].location_sensor_id)
    }
    if (sensorIdList.length == 0) {
        sensorIdList.push(sensorId)
    }

    $.ajax({
        url: URLbase + "/weight",
        type: "PUT",
        data: {
            weights: weights,
            length: weights.length,
            location: location,
            predictionHorizon: predictionHorizon,
            sensors: sensorIdList,
            sensorNumber: sensorIdList.length
        },
        dataType: 'json',
        headers: {},
        success: function (validationResult) {
            loadInitWeightData()
            showMessage(validationResult)
            updateCBRApp()
        },
        error: function (error) {
            showMessage(error.responseJSON)
        },
    })

}
